Какво ново в NVDA


%!includeconf: ../changes.t2tconf

= 2013.1 =
Акцентите на тази версия включват по-интуитивна и логична лаптоп клавиатурна подредба; основна поддръжка за Microsoft PowerPoint; поддръжка за подробни описания в уеб браузърите; и поддръжка за въвеждането на компютърен брайл чрез брайлови дисплеи, имащи брайлова клавиатура.

== Важно ==

=== Нова лаптоп клавиатурна подредба ===
Лаптоп клавиатурната подредба беше напълно преработена, за да стане по-интуитивна и логична.
Новата подредба използва стрелките в комбинация с NVDA модификатора и другите модификаторни клавиши за командите за преглед на текст.

Моля, имайте предвид следните промени на най-често използваните команди:
|| Име | Клавиш |
| Кажи всичко | NVDA+a |
| Прочети текущия ред | NVDA+l |
| Прочети текущо маркирания текст | NVDA+shift+s |
| Докладвай лентата на състоянието | NVDA+shift+end |
В допълнение, наред с другите промени, клавишните команди за цялата обектна навигация, преглед на текст, активиране на бутоните на мишката и пръстена от настройки за синтезатора бяха променени.
Моля, вижте документа [кратък преглед на командите keyCommands.html], за да се информирате за новите клавишни команди.


== Нови възможности ==
- Основна поддръжка за четене и писане на презентации в Microsoft PowerPoint. (#501)
- Основна поддръжка за четене и писане на съобщения в Lotus Notes 8.5. (#543)
- В режим на разглеждане в MSHTML (например Internet Explorer) и Gecko (например Firefox), вече се съобщава съществуването на подробни описания. Възможно е също така да отворите такова подробно описание в нов прозорец, като натиснете NVDA+d. (#809)
- Уведомленията в Internet Explorer версия 9 и по-нова (като блокиране на съдържание или сваляне на файл) вече се изговарят. (#2343)
- Автоматично докладване на заглавията на редовете и колоните в таблици вече се поддържа в режим на разглеждане в Internet Explorer и други MSHTML контроли. (#778)
- Нови езици: Арагонски, Ирландски.
- Нови брайлови преобразуващи таблици: датски от втори вид, корейски от първи вид. (#2737)
- Поддръжка за брайлови дисплеи, свързани чрез блутут на компютър, работещ с блутут стека за Windows на Toshiba. (#2419)
- Поддръжка за избор на порт при използване на дисплеи на freedom Scientific (автоматичен, USB или блутут).
- Поддръжка за семейството брайлови бележници BrailleNote от Humanware, когато работят като брайлови дисплеи за екранен четец. (#2012)
- Поддръжка за по-старите модели брайлови дисплеи на Papenmeier BRAILLEX. (#2679)
- Поддръжка за въвеждане на компютърен брайл за брайлови дисплеи, имащи брайлова клавиатура. (#808)
- Нови настройки на клавиатурата, позволяващи избора дали NVDA да прекъсва речта при въвеждане на букви или знаци и/или натискането на клавиша Enter. (#698)


== Промени ==
- Обновена е версията на брайловия транслатор liblouis до 2.5.2. (#2737)
- Лаптоп клавиатурната подредба беше напълно преработена, за да стане по-интуитивна и логична. (#804)


== Отстранени грешки ==
- Бързите клавиши за навигация за прескачане до следващ и предишен разделител в режим на разглеждане вече работят в Internet Explorer и други MSHTML контроли. (#2781)
- Ако NVDA се върне към eSpeak или без реч поради пропадане на настройките на посочения  синтезатор на реч при стартиране, настройките вече не биват актуализирани с новия синтезатор,  което означава, че сега  оригиналният синтезатор ще бъде изпробван отново при следващо стартиране на NVDA. (#2589)
- В режим на разглеждане в приложенията на Mozilla обновленията на таблиците вече се представят правилно. Например, в обновените клетки вече се докладват координатите на реда и колоната и навигацията в таблицата вече работи както се очаква. (#2784)
- В режим на разглеждане в уеб браузърите определени щракаеми неетикетирани изображения, които не бяха представени коректно, сега се представят както се очаква. (#2838)
- По-ранни и по-нови версии на SecureCRT вече се поддържат. (#2800)
- За методи на въвеждане, като например Easy Dots IME под XP, четеният низ вече се докладва коректно.
- Списъкът с кандидати в китайския опростен Microsoft Pinyin метод на въвеждане под Windows 7 вече се прочита коректно при промяна на страница с лява и дясна стрелка и при първоначално отваряне с Home.
- При запазване на потребителско произношение за някой символ, разширеното "запазено" поле вече не се премахва. (#2852)
- При изключване на автоматичната проверка за обновления вече не се налага рестартиране на NVDA, за да влезе тази промяна в сила.
- NVDA вече се стартира директно, дори и някоя добавка да не може да бъде премахната заради използването на нейната папка от друга програма. (#2860)
- Етикетите на страниците в диалога за настройка на DropBox вече могат да бъдат прочетени с използване на равнинния преглед.
- Ако се промени езикът на въвеждане на различен от този по подразбиране, NVDA вече правилно засича клавишите за командите и помощта за въвеждане.
- За езици като немски, където знакът плюс (+) е единичен клавиш на клавиатурата, вече е възможно да се асоциират команди с него с използване на думата "plus". (#2898)
- В Internet Explorer и други MSHTML контроли цитатите вече се докладват, където трябва. (#2888)
- Драйверът за HumanWare Brailliant BI/B сериите брайлови дисплеи вече може да бъде избран, когато дисплеят е свързан чрез блутут, но никога не е бил свързан чрез USB.
- Филтрирането на елементите в списъка с елементи в режим на разглеждане при въвеждане на текст с главни букви, сега връща резултати без оглед на главни и малки букви, точно както ако е написан с малки, вместо да връща празен резултат. (#2951)
- В браузърите на Mozilla режимът на разглеждане може отново да бъде използван, когато сме фокусирани върху  флаш съдържание. (#2546)
- При използване на съкратена брайлова таблица, когато разширяването до компютърен брайл за думата под курсора е включено, брайловият курсор вече е позициониран правилно, когато се намира след дума, при която даден знак е представен с няколко брайлови клетки (например знак за главна буква, знак за буква, знак за цифра, и т.н.). (#2947)
- Маркираният текст вече се изобразява правилно на брайлови дисплеи в приложения като Microsoft word 2003 и полетата за писане в Internet Explorer.
- Отново е възможно да се маркира текст в обратна посока в Microsoft Word, когато брайлът е включен.
- При преглед,  при изтриване на знаци с Backspace или Delete   в контролите за писане на Scintilla, NVDA правилно прочита многобайтови символи. (#2855)
- NVDA вече няма да се проваля при инсталация, когато пътят до профила на потребителя съдържа определени многобайтови символи. (#2729)
- Докладването на групите за списъчните контроли (SysListview32) в 64-битови приложения вече не предизвиква грешка.
- В режим на разглеждане в приложенията на Mozilla текстовото съдържание вече не е неправилно третирано като редактируемо в някои редки случаи. (#2959)
- В IBM Lotus Symphony и OpenOffice преместването на каретката вече премества и курсора за преглед, ако е необходимо.
- Съдържание под формата на Adobe Flash вече е достъпно и в Internet Explorer под Windows 8. (#2454)


== Промени за разработчици ==
- Драйверите за брайловите дисплеи вече поддържат ръчен избор на порт. (#426)
 - Това е най-полезно за брайлови дисплеи, които поддържат връзка чрез старите серийни портове.
 - Това се постига с използване на метода getPossiblePorts от класа BrailleDisplayDriver.
- Вече се поддържа въвеждане чрез брайл от брайлови клавиатури. (#808)
 - Въвеждането чрез брайл се обхваща от жестовия клас  brailleInput.BrailleInputGesture или от негов подклас.
 - Подкласове на braille.BrailleDisplayGesture (както е имплементирано в драйвърите за брайловите дисплеи) могат също да наследяват brailleInput.BrailleInputGesture. Това позволява  обработката на команди за изобразяване и въвеждане чрез брайл със същия жестов клас.


= 2012.3 =
Акцентите на тази версия включват поддръжка за въвеждане на азиатски символи; експериментална поддръжка на сензорни екрани за Windows 8; докладване на номерата на страниците и подобрена поддръжка за таблици в Adobe Reader; команди за навигация в таблици за  фокусираните редове в таблиците и списъчните контроли в Windows; поддръжка за още няколко брайлови дисплея; и докладване на заглавията на редовете и колоните в Microsoft Excel.

== Нови възможности ==
- NVDA вече поддържа въвеждане на азиатски символи с използването на IME и текстовите методи на въвеждане във всички приложения, включително:
 - Докладване и навигация в списъците с кандидати;
 - Докладване и навигация в съставните низове; и
 - Докладване на четения низ.
- Наличието на подчертаване и зачертаване вече се докладва в документи на Adobe Reader. (#2410)
- Когато функцията лепкави клавиши на  Windows е включена, модификаторът на NVDA вече ще се държи като останалите модификаторни клавиши. Това ви позволява да използвате модификатора на NVDA без да трябва да го задържате, докато натискате други клавиши. (#230)
- Автоматичното докладване на заглавията на редовете и колоните в таблици вече се поддържа в Microsoft Excel. Натиснете NVDA+shift+c, за да укажете реда, съдържащ заглавията на колоните и NVDA+shift+r -- за да укажете колоната, съдържаща заглавията на редовете. Натиснете двукратно коя да е от двете команди, за да изчистите съответната настройка. (#1519)
- Поддръжка за брайловите дисплеи на HIMS: Braille Sense, Braille EDGE и SyncBraille. (#1266, #1267)
- При появяване на изскачащите уведомления в Windows 8, NVDA ще ги докладва, ако докладването на помощните балони е включено. (#2143)
- Експериментална поддръжка на сензорни екрани в Windows 8, включително:
 - Четене на текста директно под пръста ви при движението му по екрана
 - Много жестове за извършване на обектна навигация, преглед на текста и други команди на NVDA.
- Поддръжка за VIP Mud. (#1728)
- В Adobe Reader, ако таблица има резюме, вече бива представено. (#2465)
- В Adobe Reader заглавията на редовете и колоните в таблиците вече могат да бъдат докладвани. (#2193, #2527, #2528)
- Нови езици: Амхарски, корейски, Непалски, словенски.
- NVDA вече може да прочита предложенията за самопопълване при въвеждане на имейл адреси в Microsoft Outlook 2007. (#689)
- Нови гласови варианти за  eSpeak: Gene, Gene2. (#2512)
- В Adobe Reader номерата на страниците вече могат да бъдат съобщавани. (#2534)
 - В Reader XI етикетите на страниците вече се докладват, когато са налични, като отразяват  промените в номерацията на страниците в различните секции и т.н. В по-ранни версии това не беше възможно и само последователни номера на страници можеше да бъдат докладвани.
- Вече е възможно да възстановите настройките на NVDA до заводските им стойности, както с трикратно натискане на NVDA+control+r, така и с избиране на елемента Възстанови настройките до заводските им стойности от менюто на NVDA. (#2086)
- Поддръжка за брайловите дисплеи Seika версия 3, 4 и 5 и Seika80 на Nippon Telesoft. (#2452)
- Първият и последният предни превъртащи бутони на Freedom Scientific PAC Mate и брайловите дисплеи Focus вече могат да бъдат използвани за превъртане назад и напред. (#2556)
- Много повече възможности вече се поддържат за брайловите дисплеи Focus на Freedom Scientific като разширените ленти, rocker лентите и определени точкови комбинации за често прилагани действия. (#2516)
- В приложения, използващи IAccessible2 като приложенията на Mozilla, заглавията на редовете и колоните в таблиците вече могат да бъдат докладвани извън режима на разглеждане. (#926)
- Предварителна поддръжка на документите в Microsoft Word 2013. (#2543)
- Подравняването на текста вече може да бъде докладвано в приложения, използващи IAccessible2 като приложенията на Mozilla. (#2612)
- Когато ред от таблица или стандартен списък в Windows с множество колони е на фокус, вече може да използвате командите за навигация в таблици, за да получите достъп до отделните клетки. (#828)
- Нови брайлови преобразуващи таблици: естонски от нулев вид, португалски 8-точков компютърен брайл, италиански 6-точков компютърен брайл. (#2319, #2662)
- Ако NVDA е инсталиран на компютъра, директното отваряне на  пакет с добавка за NVDA (например от Windows Explorer или след изтегляне от уеб браузър) ще предложи инсталирането й в NVDA. (#2306)
- Поддръжка за по-новите модели на брайловите дисплеи Papenmeier BRAILLEX. (#1265)
- Позиционната информация (например 1 от 4) вече се докладва за елементите от списък в Windows Explorer от Windows 7 и по-нов. Това включва също и всякакви UIAutomation контроли, поддържащи потребителските свойства itemIndex и itemCount. (#2643)


== Промени ==
- В диалога за настройка на курсора за преглед на NVDA опцията за следване на фокуса беше преименувана на  Следвай системния фокус, за по-добра съгласуваност с терминологията, използвана на други места в NVDA.
- Когато брайлът е обвързан с прегледа и курсорът е върху обект, който не е текстов (например поле за писане), клавишите за прехвърляне на курсора сега активират обекта. (#2386)
- Опцията за запазване на настройките при изход от програмата сега е включена по подразбиране за нови конфигурации.
- При обновяване на предварително инсталирано копие на NVDA бързият клавиш, асоцииран с прекия път на работния плот вече не се връща принудително на control+alt+n, ако е бил променен ръчно от потребителя. (#2572)
- Списъкът с добавки в мениджъра на добавки сега показва името на пакета преди неговото състояние. (#2548)
- Ако инсталирате същата или друга версия на текущо инсталирана добавка, NVDA ще ви попита дали желаете да обновите тази добавка, вместо само да показва грешка и да прекратява инсталирането. (#2501)
- Командите за обектна навигация (с изключение на тази за докладване на текущия обект) сега използват по-малко думи. Все още може да получите допълнителна информация чрез използването на командата за докладване на текущия обект. (#2560)
- Обновена е версията на брайловия транслатор liblouis до 2.5.1. (#2319, #2480, #2662, #2672)
- Документът Кратък преглед на клавишните команди в NVDA беше преименуван на Кратък преглед на командите, тъй като сега включва сензорни команди, както и клавиатурните такива.
- Списъкът на елементите в режим на разглеждане вече ще помни последния тип елемент, който е бил показан (например връзки, заглавия или маркери) при всяко показване на диалога в рамките на същата сесия на NVDA. (#365)
- Повечето Метро приложения в Windows 8 (например Поща, Календар) вече не активират режим на разглеждане за цялото приложение.
- Handy Tech BrailleDriver COM-Server е обновен до 1.4.2.0.


== Отстранени грешки ==
- В Windows Vista и по-нови NVDA вече не третира неправилно Windows клавиша като задържан при отключване на Windows след като е бил заключен с Windows+l. (#1856)
- В Adobe Reader заглавията на редовете сега са правилно разпознати като клетки от таблица, т.е. докладват се координатите и могат да бъдат достъпвани с използване на командите за навигиране в таблици. (#2444)
- В Adobe Reader клетки от таблица, обхващащи повече от една колона и/или ред,  вече се обработват правилно. (#2437, #2438, #2450)
- Разпространяваният от разработчиците пакет на NVDA сега проверява своята цялост преди изпълнение. (#2475)
- Временните файлове при изтегляне на нова версия вече се премахват, ако свалянето на обновлението за NVDA се провали. (#2477)
- NVDA вече няма да замръзва, когато е стартиран с административни права при копиране на потребителските настройки в системните настройки (за използване в екрана за вписване в Windows и другите защитени екрани). (#2485)
- Плочките в стартовия екран на Windows 8 сега се представят по-добре със реч и брайл. Името вече не бива повтаряно, отмаркирането вече не се докладва за всички плочки, и живата информация за състоянието е представена като описание на плочката (например текущата температура за плочката за времето).
- Паролите вече не се изговарят при четене на полета за парола в Microsoft Outlook и други стандартни полета за писане, които са маркирани като защитени. (#2021)
- В Adobe Reader промените на полета от формуляри вече се отразяват коректно в режим на разглеждане. (#2529)
- Подобрена поддръжка за правописната проверка на Microsoft Word, включително по-точно отчитане на текущата правописна грешка, и възможност да поддържа проверка на правописа при използване на инсталационно копие на NVDA на Windows Vista или по-нова.
- Добавки, които включват файлове, съдържащи не-английски символи, в повечето случаи вече могат да се инсталират коректно. (#2505)
- В Adobe Reader езикът на текста вече не се губи, когато той бъде обновен или превъртян. (#2544)
- При инсталиране на добавка, диалоговият прозорец за потвърждение сега показва правилно локализираното име на добавката, ако има такова. (#2422)
- В приложения, използващи UI Automation (като приложения, писани на .net и Silverlight), изчисляването на числовите стойности за контролите, например плъзгачите, беше поправено. (#2417)
- Настройките за докладване на лентите на напредъка вече се взимат предвид за неопределените ленти на напредъка докладвани от NVDA при инсталиране, създаване на преносимо копие и т.н. (#2574)
- Командите на NVDA вече не могат да бъдат изпълнявани от брайловите дисплеи, докато е активен защитен екран (като екранът при заключване). (#2449)
- В режим на разглеждане брайлът сега се обновява при обновяване на изобразявания текст. (#2074)
- Когато сме в защитен екран като екрана при заключване,  команди за изговаряне или показване на брайл на съобщения от приложенията директно чрез NVDA вече се игнорират.
- В режим на разглеждане вече не е възможно да пропаднете под дъното на документа с натискане на дясна стрелка, когато сте на последния знак, или с прескачане до края на съдържащ елемент, когато той е последният елемент в документа. (#2463)
- При докладване на съдържанието на диалози в уеб приложенията вече не се включва външно съдържание(конкретно, ARIA диалози без aria-describedby атрибут). (#2390)
- NVDA вече не докладва или локализира погрешно определени полета за писане в MSHTML документи (например Internet Explorer), и по-специално когато  определен ARIA role атрибут бъде използван от автора на уеб страницата. (#2435)
- Клавишът backspace вече се обработва правилно при изговаряне на въведените думи в командния интерпретатор на Windows. (#2586)
- Координатите на клетките в Microsoft Excel отново се изобразяват на брайл.
- В Microsoft Word NVDA вече не засяда в абзац със списъчно форматиране, когато се опитвате да навигирате извън средна точка или номер със стрелкаНаляво или control + стрелкаНаляво. (#2402)
- В режим на разглеждане в приложенията на Mozilla елементите в някои определени списъци (по-специално ARIA списъците) вече не се обработват неправилно.
- В режим на разглеждане в приложенията на Mozilla определени контроли, които бяха обработвани с неправилен етикет, или просто празно място, вече се показват с правилния етикет.
- В режим на разглеждане в приложенията на Mozilla бяха премахнати някои допълнителни празни пространства.
- В режим на разглеждане в уеб браузърите определени изображения, които са изрично маркирани като представителни (по-специално с alt="" атрибута) вече са правилно игнорирани.
- В уеб браузърите NVDA вече скрива съдържание,  маркирано като скрито от екранните четци (по-специално с използването на aria-hidden атрибута). (#2117)
- Отрицателни суми валута (например -$123) вече правилно се изговарят като отрицателни, независимо от нивото на препинателните знаци/символите. (#2625)
- По време на прочитане на всичко NVDA вече няма неправилно да се връща към езика по подразбиране в случаите, в които с края на реда не се слага край на изречението. (#2630)
- Информацията за шрифта вече се засича коректно в Adobe Reader 10.1 и по-нови. (#2175)
- В Adobe Reader, ако се предоставя алтернативен текст, само той ще бъде изобразен. По-рано понякога беше включван и страничен текст. (#2174)
- Когато даден документ съдържа приложение, съдържанието на приложението вече не се включва в съдържанието на режима на разглеждане. Това предотвратява неочаквано придвижване в приложение при навигация в документа. Можете да взаимодействате с приложението по същия начин, както с вградените обекти. (#990)
- В приложенията на Mozilla стойността на въртеливите бутони вече се докладва правилно, когато бъде променена. (#2653)
- Обновена поддръжка за Adobe Digital Editions така че NVDA да работи във версия 2.0. (#2688)
- Натискането на NVDA+стрелкаНагоре, когато сте в падащ списък в Internet Explorer и други MSHTML документи вече няма да води до прочитане на всички елементи. Напротив, само активният елемент ще бъде прочетен. (#2337)
- Речниците вече ще се запазват коректно при използване на знака диез (#) в полетата за образеца или заместителя. (#961)
- Режимът на разглеждане за MSHTML документите (например Internet Explorer) вече изобразява коректно видимото съдържание, съдържащо се в рамките на скрито съдържание (по-специално елементи със стил на visibility:visible вътре в елементи със стил visibility:hidden). (#2097)
- Връзките в центъра за сигурност в Windows XP вече не докладват произволни глупости след техните имена. (#1331)
- Текстовите контроли на UI Automation (например  полето за търсене в старт менюто в  Windows 7) вече се съобщават коректно при преминаване на мишката върху тях, вместо да остават необявени.
- Промени в клавиатурната подредба вече не се съобщават по време на прочитане на всичко, което беше особено проблематично за многоезични документи, включително Арабски текст. (#1676)
- Цялото съдържание на някои редактируеми текстови контроли в UI Automation (например полето за търсене в стартовото меню на Windows 7/8) вече не се съобщава всеки път, когато се променя.
- Когато преминавате между групите в стартовия екран в Windows 8, безименните групи вече не съобщават името на първата си плочка като име на групата. (#2658)
- При отваряне на стартовия екран на Windows 8 фокусът е поставен правилно на първата плочка, вместо да прескача до корена на стартовия екран, което може да обърка навигацията. (#2720)
- NVDA вече няма да се проваля при стартиране, когато пътят до профила на потребителя съдържа определени многобайтови символи. (#2729)
- В режим на разглеждане в Google Chrome текстът на страниците вече се изобразява правилно.
- В режим на разглеждане бутоните на менютата вече се докладват правилно.
- В OpenOffice.org/LibreOffice Calc четенето на клетките на електронните таблици вече работи коректно. (#2765)
- NVDA може отново да чете в списъка със съобщения в Yahoo! Mail когато се използва чрез Internet Explorer. (#2780)


== Промени за разработчици ==
- Предишният протокол вече се копира в nvda-old.log при инициализиране на  NVDA. Следователно, ако NVDA забие или бъде рестартиран, протоколът от тази сесия все още е достъпен за преглеждане. (#916)
- Прихващането на свойството role в chooseNVDAObjectOverlayClasses вече не предизвиква сгрешаване на типа и по този начин и недокладване при фокусиране върху определени обекти като командния интерпретатор на Windows контролите на Scintilla. (#2569)
- Менютата Настройки, Инструменти и Помощ вече са достъпни като атрибути на gui.mainFrame.sysTrayIcon под имената съответно  preferencesMenu, toolsMenu и helpMenu. Това позволява на добавките по-лесно да добавят елементи към тези менюта.
- Скриптът navigatorObject_doDefaultAction в globalCommands беше преименуван на review_activate.
- Вече се поддържат контексти на съобщенията в Gettext. Това позволява да бъдат определени множество преводи  за едно английско съобщение в зависимост от контекста. (#1524)
 - Това се извършва с помощта на функцията pgettext(context, message).
 - Това се поддържа както за самия NVDA, така и за добавките.
 - Трябва да се използват xgettext и msgfmt от GNU gettext за създаването на каквито и да е PO и MO файлове. Python tools не поддържат контексти на съобщенията.
 - За xgettext, препредайте аргумента --keyword=pgettext:1c,2 от командния ред, за да разрешите включването на контексти на съобщенията.
 - За повече информация вижте http://www.gnu.org/software/gettext/manual/html_node/Contexts.html#Contexts .
- Вече е възможно да получите достъп до вградените модули на NVDA, дори да са били презаписани от външни модули. Вижте модула nvdaBuiltin за детайли относно това.
- Възможността за превод на добавките вече може да бъде използвана в рамките на модула installTasks на добавката. (#2715)


= 2012.2.1 =
Това издание отстранява няколко потенциални проблема със сигурността (с обновяването на Python до версия 2.7.3).


= 2012.2 =
Акцентите на тази версия включват вграден инсталатор и  възможност за създаване на преносими копия, автоматични обновления, лесно управление на новите добавки на NVDA, съобщаване на изображенията в Microsoft Word, поддръжка за метро приложенията в Windows 8, и няколко важни отстранени грешки. 

== Нови възможности ==
- NVDA вече може автоматично да проверява за обновления, да ги изтегля и инсталира. (#73)
- Управлението на външни добавки и драйвери за NVDA беше улеснено с добавянето на мениджър на добавките, (намиращ се в подменю Инструменти от менюто на NVDA), който ви позволява да инсталирате и премахвате пакети с добавки на NVDA (.nvda-addon файлове). (#213)
- Много повече често използвани възможности на NVDA вече работят в метро приложенията на Windows 8 при използване на инсталирано копие на NVDA, включително изговарянето на натиснатите букви и режимът на разглеждане за уеб документите (включително и поддръжка за метро версията на Internet Explorer 10). Преносимите копия на NVDA не могат да работят с метро приложения. (#1801) 
- В документи в режим на разглеждане (Internet Explorer, Firefox и т.н.), вече може да прескачате до началото или края на определени съдържащи елементи (като списъци и таблици) с shift+, и съответно shift+. . (#123)
- Нов език: гръцки.
- Изображенията и алтернативният текст вече се докладват в документи на Microsoft Word. (#2282, #1541)


== Промени ==
- Съобщаването на координатите на клетките в Microsoft Excel вече е след съдържанието вместо преди него, като вече е добавено само ако  настройките за докладване на таблиците и докладване на координатите на клетките в таблиците са разрешени в диалога за настройка на форматирането на документите. (#320)
- NVDA вече се доставя в един пакет вместо в отделни преносими и инсталационни версии. Вече има само един файл, който като бъде стартиран, ще стартира временно копие на NVDA и ще ви позволи да го инсталирате или да генерирате преносимо копие. (#1715)
- NVDA вече винаги се инсталира в Program Files на всички системи. Обновяването на предишна инсталация ще го премести автоматично, ако е бил инсталиран на друго място.


== Отстранени грешки ==
- При включена автоматична промяна на езика, съдържание като алтернативния текст на изображенията и етикетите на определени други контроли в Mozilla Gecko (например Firefox) вече се докладват на коректния език, ако са маркирани правилно.
- Кажи всичко в BibleSeeker (и други TRxRichEdit контроли) вече не прекъсва по средата на пасаж.
- Списъците в свойствата на файловете в Windows 8 Explorer (страницата привилегии) и в Windows 8 Windows Update вече се прочитат коректно.
- Отстранено е възможно замръзване в MS Word, което може да се получи когато отнеме повече от 2 секунди да бъде прихванат текст от документ (изключително дълги редове или таблици на съдържанието). (#2191)
- Засичането на пренасянето на думи вече работи правилно, където празно място е последвано от определени знаци за пунктуация. (#1656)
- В режим на разглеждане в Adobe Reader вече е възможно да се придвижите по заглавия без ниво с използването на бързата навигация и списъка на елементите. (#2181)
- В Winamp брайлът вече се обновява коректно, когато се придвижите до друг елемент в редактора на възпроизвеждане. (#1912)
- Дървото на списъка на елементите (налично за документи в режим на разглеждане) вече се оразмерява така, че да покаже текста на всеки елемент. (#2276)
- В приложения, използващи Java Access Bridge, редактируемите текстови полета вече се представят коректно на брайл. (#2284)
- В приложения, използващи java Access Bridge, редактируемите текстови полета вече не докладват странни символи в определени случаи. (#1892)
- В приложения, използващи Java Access Bridge, накрая на редактируемо текстово поле, текущият ред вече се докладва коректно. (#1892)
- В режим на разглеждане в приложения, използващи Mozilla Gecko 14 и по-нова (например Firefox 14), бързата навигация вече работи за цитатите и вградените обекти. (#2287)
- В Internet Explorer 9, NVDA вече не прочита нежелано съдържание когато фокуса се придвижи в определени маркери или фокусируеми елементи (по-точно, div елемент върху който можем да се фокусираме или за който е зададен тип ARIA маркер).
- Иконата на NVDA за преките пътища до десктопа и стартовото меню вече се изобразява правилно на 64-битови версии на Windows. (#354)


== Промени за разработчици ==
- Поради замяната на предишния NSIS инсталатор на NVDA с вграден инсталатор на Python, на преводачите вече не се налага да поддържат langstrings.txt файл за инсталатора. Всички низове от локализацията вече се управляват от gettext po файлове.


= 2012.1 =
Акцентите на тази версия включват възможности за по-плавно четене на брайл; отчитане на форматирането на документите на брайл; достъп до много повече информация за форматирането и подобрена производителност в Microsoft Word и поддръжка за  iTunes Store.

== Нови възможности ==
- NVDA вече може да ви съобщава броя на водещите табулации и интервали на текущия ред по реда на тяхното въвеждане. Тази опция може да бъде включвана и изключвана чрез полето за отметка "Докладвай отстъпа на редовете" в диалога Форматиране на документите. (#373)
- NVDA вече може да засича натиснатите клавиши, генерирани от алтернативни клавиатурни емулации, като екранни клавиатури и софтуер за разпознаване на речта.
- NVDA вече може да засича цветовете в командната конзола на Windows.
- Удебелен, наклонен и подчертан шрифт вече се отчитат на брайл чрез използване на подходящи знаци в съответствие с текущата брайлова таблица. (#538)
- вече се докладва много повече информация в документите в Microsoft Word, включително:
 - Вътрешноредова информация, като номерата на бележките под линия и бележките в края, нивата на заглавията, наличието на коментари, нивата на вложените таблици, линковете и цвета на текста;
 - Съобщаване при навлизане в секции на документа, като коментари, бележки под линия, бележки в края, горен и долен колонтитул на страницата.
- Маркираният текст вече се отразява и на брайл посредством точки 7 и 8. (#889)
- Контролите в документите, като линкове, бутони и заглавия, вече се съобщават и на брайл. (#202)
- Поддръжка за USB брайловите дисплеи hedo ProfiLine и MobilLine. (#1863, #1897)
- NVDA вече по подразбиране избягва разделянето на думи на брайл, когато това е възможно. Това може да бъде изключено от диалога "Брайлови настройки". (#1890, #1946)
- Вече е възможно текстът на брайл да бъде изобразяван по параграфи вместо по редове, което може да позволи по-плавно четене на големи количества текст. Това може да се настройва чрез отметката "Четене по параграфи" в диалога "Брайлови настройки". (#1891)
- В режим на разглеждане може да активирате обекта под курсора, като използвате брайлов дисплей. Това се прави с натискане на клавиша за превъртане на курсора, където и да се намира той (което означава двукратно натискане, ако курсорът не е вече там). (#1893)
- Начална поддръжка на уеб зони в iTunes, като например магазина. Други приложения, използващи WebKit 1, също може да се поддържат. (#734)
- Страниците вече се превъртат автоматично при четене на всичко в книги в Adobe Digital Editions версия 1.8.1 и по-нова. (#1978)
- Нови таблици на превод на брайл: Португалски от втори вид, Исландски 8-точков компютърен брайл, Тамил от първи вид, Испански 8-точков компютърен брайл, Фарси от първи вид. (#2014)
- Вече можете да настройвате дали да се съобщават фреймовете в документите от диалога "Форматиране на документите". (#1900)
- Спящият режим за приложението вече е включен по подразбиране при използване на OpenBook. (#1209)
- Автоматичните и ръчно добавените коментари в PO Edit вече могат да бъдат прочитани. Непреведените и автоматично преведените съобщения са маркирани със звезда и при попадане върху тях се чува кратък звук. (#1811)
- Поддръжка за дисплеите на HumanWare от Brailliant BI и B сериите. (#1990)
- Нови езици: норвежки букмол, традиционен китайски (Хонконг).


== Промени ==
- Командите за описание на текущия знак или за спелуване на текущата дума или ред вече ще спелуват на съответния език в зависимост от текста, ако е включена автоматичната промяна на езика и е налична съответната езикова информация.
- Синтезаторът eSpeak е обновен до версия 1.46.02.
- NVDA вече ще изрязва много дългите имена (30 или повече знака), отгатвани от адресите на изображенията и линковете, защото те са по-скоро неизползваеми и пречат на четенето. (#1989)
- Част от информацията, изобразявана на брайл, беше съкратена. (#1955, #2043)
- При движението на каретката или курсора за преглед брайлът вече се превърта по същия начин, както при ръчно превъртане. Това е по-подходящо, когато  текстът се изобразява по параграфи и/или е включено избягването на разделянето на думите. (#1996)
- Обновена е испанската брайлова таблица от първи вид с последната налична версия.
- Брайловият преводач liblouis е обновен до версия 2.4.1.


== Отстранени грешки ==
- В Windows 8 фокусът повече не е изместван неправилно от полето за търсене в Windows Explorer, което не позволяваше на NVDA да си взаимодейства с него.
- Съществени подобрения на производителността при четене  и придвижване в документите в Microsoft Word, когато докладването на форматирането е включено, което прави доста по-комфортно преглеждането на форматирането и т.н. Цялостната производителност също може би е подобрена за някои потребители.
- Вече се използва режим на разглеждане за Adobe Flash съдържанието, когато е на цял екран.
- Поправено е лошото качество на звука в някои случаи при използване на Microsoft Speech API версия 5 гласовете с изходно устройство, зададено на нещо различно от това по подразбиране (Microsoft Sound Mapper). (#749)
- Отново е позволено използването на NVDA със синтезатора "Без реч", като се разчита изцяло на брайла или прегледа на речта. (#1963)
- Командите за обектна навигация вече не съобщават "Няма наследяващ обект" и "Няма родителски обект", а вместо това докладват съобщения в синхрон с документацията.
- Когато NVDA е настроен да използва език, различен от английски, името на клавиша таб вече се изговаря на коректния език.
- В Mozilla Gecko (например Firefox), NVDA вече не превключва периодично към режим на разглеждане, докато се придвижвате из менютата в документите. (#2025)
- В калкулатора клавишът backspace вече докладва обновения резултат вместо да не докладва нищо. (#2030)
- В режим на разглеждане командата за преместване на мишката до текущия навигационен обект вече я премества до центъра на обекта под курсора за преглед, вместо до горния ляв ъгъл, което прави позицията й по-точна в някои случаи. (#2029)
- В режим на разглеждане с включен автоматичен режим на фокус при промяна във фокуса, при фокусиране върху лента с инструменти NVDA ще премине в режим на фокус. (#1339)
- Командата за докладване на заглавната лента отново работи нормално в Adobe Reader.
- При включен автоматичен режим на фокус при промяна във фокуса, вече правилно се използва режим на фокус за фокусирани клетки от таблица; например в зонови мрежи. (#1763)
- Погрешно докладваната позиционна информация за някои списъци в iTunes вече се докладва правилно.
- В Adobe Reader вече не се докладват някои линкове като съдържащи текстови полета само за четене.
- Етикетите на някои полета за писане вече не се докладват заедно със заглавията на някои диалози. (#1960)
- Описанието на групиранията отново се докладва, ако е включено докладването на описанията на обектите.
- Удобните за четене размери вече са включени в текста на диалога на свойствата на устройствата в Windows Explorer.
- Двойното докладване на текста на свойствата на страниците вече е намалено в някои случаи. (#218)
- Подобрено е проследяването на каретката в редактируемите текстови полета които разчитат на текста, изобразен на екрана. В частност това подобрява редактирането в редактора на клетки в Microsoft Excel и редактора на текст на Eudora. (#1658)
- Във Firefox 11 командата за преместване до съдържащия обект (NVDA+control+space) вече работи както трябва при измъкването от вградени обекти като Flash съдържание.
- NVDA вече се рестартира коректно (например след промяна на езика), когато се намира в папка, чието име съдържа не-АСКИ знаци. (#2079)
- Брайлът правилно се съобразява с настройките за докладване на бързите клавиши за обекта, позиционната информация и описанията.
- В приложенията на Mozilla вече няма забавяне при преминаване между режимите на фокус и на разглеждане при включен брайл. (#2095)
- Преместването на курсора до интервал в края на реда/параграфа с използването на брайловите клавиши за навигация в някои редактируеми текстови полета вече работи правилно, вместо да се премества до началото на текста. (#2096)
- NVDA отново работи правилно със синтезатора Audiologic Tts3. (#2109)
- Документите в Microsoft Word вече се третират правилно като многоредови редактируеми текстови полета. Това предизвиква по-адекватното поведение на брайла, когато фокусът е в такива документи.
- В Microsoft Internet Explorer вече не възникват грешки при фокусиране в някои редки контроли. (#2121)
- Промените на произнасянето на пунктуацията/символите, направени от потребителя, вече ще влизат в сила веднага, вместо да изискват рестартиране на NVDA или изключване на автоматичната промяна на езика.
- Речта вече не бива заглушавана при използване на eSpeak в някои случаи в диалога "Запиши като"  на диалога за преглед на лога на NVDA. (#2145)


== Промени за разработчици ==
- Вече има дистанционна конзола на python за ситуации, в които дистанционното отстраняване на грешки може да бъде полезно. За подробности - вижте ръководството за разработчици.
- Основният път на кода на NVDA вече не присъства в обратното проследяване в лога - за подобряване на четимостта. (#1880)
- Обектите на TextInfo вече имат метод activate() за активиране на позицията, представена от текстовата информация.
 - Това се използва от брайла за активиране на позицията с клавишите за преместване на курсора на брайловите дисплеи. Все пак то може да има и други приложения в бъдеще.
- Прехващачите на дървета и обектите на NVDA, които могат да работят само с една страница в един и същи момент, могат да поддържат автоматично преминаване на следваща страница по време на четене на всичко, като използват микса textInfos.DocumentWithPageTurns. (#1978)
- Няколко контролни и изходни константи бяха преименувани или преместени. (#228)
 - Константите speech.REASON_* constants бяха преместени в controlTypes.
 - В controlTypes, speechRoleLabels и speechStateLabels просто бяха преименувани съответно на roleLabels и stateLabels. 
- Брайловият изход вече се логва на Входно/Изходно ниво. Първо се логва непреведеният текст от всички региони, последван от брайловите клетки на прозореца, който се изобразява в момента. (#2102)
- Подкласовете на  драйвера на синтезатора sapi5 вече могат да презаписват _getVoiceTokens и extend __init__, за да поддържат потребителски имена на гласовете, както със sapi.spObjectTokenCategory за получаване на имена от потребителско местоположение в регистъра на Windows.


= 2011.3 =
Акцентите на тази версия включват автоматична промяна на езика при четене на документи, предоставящи езикова информация; поддръжка за 64-битови Java Runtime Environments; докладване на форматирането на текста в режим на разглеждане в приложенията на Mozilla; по-добро прихващане на забили или замръзнали приложения; и първоначална поддръжка за Windows 8.

== Нови възможности ==
- NVDA вече може да променя динамично езика на синтезатора eSpeak при четене на определени web/pdf документи, които предоставят нужната информация за езика. Автоматичното превключване на езика/диалекта може да бъде включвано и изключвано от диалога за настройка на гласа. (#845) 
- Вече се поддържа Java Access Bridge 2.0.2, което включва поддръжка за 64-битови Java Runtime Environments.
- Вече се съобщават нивата на заглавията при използване на обектната навигация в приложения, използващи Mozilla Gecko (например Firefox).
- Форматирането на текста вече може да бъде докладвано, когато сме в режим на разглеждане в приложенията, използващи Mozilla Gecko (например Firefox и Thunderbird). (#394)
- Подчертаният или задраскан текст вече може да бъде засечен и докладван в стандартните текстови контроли на IAccessible2, като например тези в приложенията на Mozilla.
- Вече се докладват номерата на редовете и броя на колоните в режим на разглеждане в Adobe Reader.
- Добавена е поддръжка за синтезатори, използващи Microsoft Speech Platform. (#1735)
- Номерата на страницата и реда за позицията на каретката вече се докладват в IBM Lotus Symphony. (#1632)
- В диалога за настройка на гласа вече можем да определим с колко точно да бъде повишавана височината на гласа при изговаряне на главна буква. Тази настройка сега замества предишното поле за отметка, което включваше и изключваше тази функция (сега за да бъде изключена, трябва да бъде зададена стойност 0). (#255).
- Цветът на текста и на фона вече са включени в доклада за форматирането на клетките в Microsoft Excel. (#1655)
- Командата за активиране на текущия навигационен обект вече работи за съответните контроли в приложения, използващи Java Access Bridge. (#1744)
- Начална поддръжка за Design Science MathPlayer.


== Промени ==
- NVDA вече ще се рестартира при забиване.
- Част от информацията, изобразявана на брайл, вече е съкратена. (#1288)
- Скриптът за прочитане на активния прозорец (NVDA+b) беше подобрен, така че да филтрира безполезните контроли, а също така вече е и доста по-лесен за заглушаване. (#1499)
- Автоматичното прочитане на документи в режим на разглеждане при тяхното зареждане вече може да се включва или изключва от диалога за настройка на режима на разглеждане. (#414)  
- При опит за прочитане на лентата на състоянието (NVDA+end от настолната клавиатурна подредба), ако такава не може да бъде открита, NVDA вече ще използва последния ред от текст, изобразен на екрана, за текущото приложение. (#649)
- При четене с Кажи Всичко в документи в режим на разглеждане NVDA вече ще прави пауза в края на заглавията и другите блокови елементи, вместо да ги изговаря заедно с околния текст като едно дълго изречение.
- Натискането на Enter или Space върху страница в режим на разглеждане вече я активира, вместо да преминава в режим на фокус. (#1760)
- Синтезаторът eSpeak е обновен до версия 1.45.47.


== Отстранени грешки ==
- NVDA  вече не показва средни точки или номерация за списъците в Internet Explorer и другите MSHTML контроли, когато авторът е пожелал това (т.е. стилът на списъка е зададен на "none"). (#1671)
- При рестартиране на NVDA след като е забил (например при натискане на control+alt+n) вече са избегнати случаите, в които новото копие не се стартираше след затваряне на старото.
- Натискането на backspace или стрелките в командната конзола на Windows вече не предизвиква странни резултати в някои случаи. (#1612)
- Избраният елемент в падащите списъци от тип WPF  (а вероятно и някои други типове падащи списъци, открито използващи UI Automation), които не позволяват промяна на текста, вече се докладва коректно.
- В режим на разглеждане в Adobe Reader вече винаги е възможно да се придвижим от заглавния ред на таблица до следващия ред и обратно като използваме съответните команди. Също така заглавният ред вече не се докладва като ред 0. (#1731)
- В режим на разглеждане в Adobe Reader вече е възможно да се придвижим в (и следователно да преминем през) празните клетки от таблица.
- Чрез брайл вече не бива докладвана безполезна позиционна информация (например 0 от 0 ниво 0).
- Вече е възможно показването на съдържание от равнинния преглед, когато брайлът е обвързан с прегледа. (#1711)
- Текстът на текстовите контроли вече не се дублира в някои случаи на брайловите дисплеи, например при превъртане назад от началото на документ в Wordpad.
- В режим на разглеждане в Internet Explorer натискането на  enter върху бутон за качване на файл вече коректно активира диалога за избор на файл за качване вместо да преминава към режим на фокус. (#1720)
- Вече не се съобщава динамично обновяващото се съдържание (като това в командната конзола), ако е бил включен спящ режим за това приложение. (#1662)
- В режим на разглеждане поведението на alt+стрелкаНагоре и alt+стрелкаНадолу за събиране и разтваряне на падащите списъци беше подобрено. (#1630)
- NVDA вече се възстановява от много повече ситуации, като например при забиване на приложения, които преди причиняваха пълното му замръзване. (#1408)
- При документите в режим на разглеждане в Mozilla Gecko (Firefox и др.) NVDA вече няма да се проваля при обработката на информацията  в доста специфичната ситуация, когато елемент е стилизиран като display:table. (#1373)
- NVDA вече няма да съобщава етикетите, когато се фокусираме върху тях. Това прекратява двойното съобщаване на етикетите на някои полета във Firefox (Gecko) и Internet Explorer (MSHTML). (#1650)
- NVDA вече не се проваля при прочитането на клетка в Microsoft Excel след като в нея е било поставено съдържание с control+v. (#1781)
- В Adobe Reader вече не се съобщава странична информация за документа при придвижване до контрол на друга страница в режим на фокус. (#1659)
- В режим на разглеждане в приложенията, използващи Mozilla Gecko (например Firefox), натискането на бутони вече се засича и се докладва коректно. (#1757)
- NVDA вече прочита правилно адресната лента на Windows Explorer в предварителната версия за разработчици на Windows 8.
- NVDA вече не причинява забиване на приложения като winver и wordpad в предварителната версия за разработчици на Windows 8 заради лоши преводи на глифовете.
- В режим на разглеждане в приложения, използващи Mozilla Gecko версия 10 и по-нова (например Firefox 10), курсорът вече по-често е позициониран правилно при зареждане на страници с позиционираща котва. (#360)
- В режим на разглеждане в приложения, използващи Mozilla Gecko (например Firefox), етикетите за зонираните изображения вече се обработват правилно.
- При включено следене на мишката, местенето на мишката върху определени редактируеми текстови полета (като например тези в Synaptics Pointing Device Settings и SpeechLab SpeakText) вече не води до забиване на приложението. (#672)
- NVDA вече функционира коректно в няколко диалога "За програмата" в приложения, предоставяни с Windows XP, включително този в Notepad и диалога "Относно Windows". (#1853, #1855)
- Отстранени са грешки при прегледа по думи в полетата за писане на Windows. (#1877)
- Придвижването извън полета за писане със стрелкаНаляво, стрелкаНагоре или pageUp докато сме в режим на фокус вече правилно ще активира режим на разглеждане, когато е включен автоматичен режим на фокус при преместване на каретката. (#1733)


== Промени за разработчици ==
- NVDA вече може да инструктира речевите синтезатори да превключват езиците за определени секции на речта.
 - За да поддържат това, драйверите трябва да прихванат  командата speech.LangChangeCommand в комбинация с предаването на SynthDriver.speak().
 - Обектите на SynthDriver трябва също да предоставят езиковия аргумент на обектите на VoiceInfo (или да препокрият езиковия атрибут, за да получат текущия език). В противен случай ще бъде използван езикът на интерфейса на NVDA.


= 2011.2 =
Акцентите на тази версия включват значителни подобрения, засягащи пунктуацията и символите, включително нива на настройка, избираемо етикетиране и описания на символите; вече няма паузи в края на редовете по време на четене; подобрена поддръжка на зоните в Internet Explorer; по-добра поддръжка за XFA/LiveCycle PDF documents в Adobe Reader; достъп до текста, изписван на екрана, в повече приложения; и информация за форматирането и цветовете на текста, изписван на екрана.

== Нови възможности ==
- Вече е възможно да чуем описание на всеки посочен знак с активирането на скрипта за преглед на текущия знак два пъти бързо. За български букви и знаци се използват описания на буквите от Кирилицата. За схематични езици като традиционен Китайски биват предоставени една или повече примерни фрази, използващи дадения символ. При трикратно натискане на клавишите за преглед на текущата дума или текущия ред  също ще се спелува текущата дума или ред, като се използва първото от тези описания. (#55)
- Повече текст може да бъде прочетен с равнинния преглед за приложения като Mozilla Thunderbird които изписват своя текст директно на екрана като глифове.
- Вече е възможно да бъде избирано измежду няколко нива  на съобщаване на пунктуацията и символите. (#332)
- Когато пунктуационен знак или друг символ се повтаря повече от 4 пъти, вече се съобщава броят на повторенията вместо повтарящите се символи. (#43)
- Нови брайлови таблици: норвежки 8-точков компютърен брайл, етиопски от първи вид, словенски от първи вид, сръбски от първи вид. (#1456)
- Речта не прави неестествени паузи в края на всеки ред при използване на командата "Кажи всичко". (#149)
- NVDA вече ще съобщава дали нещо е сортирано (в съответствие със area-sort html атрибута) в уеб браузърите. (#1500)
- Брайловите примери на Unicode вече се отразяват правилно върху брайловите дисплеи. (#1505)
- В Internet Explorer и другите MSHTML контроли, когато фокусът се придвижва в група от контроли (заобиколен от маркер за поле), NVDA вече ще съобщава името на групата (легендата). (#535)
- В Internet Explorer и другите MSHTML контроли, свойствата aria-labelledBy и aria-describedBy вече не биват игнорирани.
- В Internet Explorer и другите MSHTML контроли поддръжката за списъците на зони, мрежовите клетки, плъзгачите и лентите на напредъка е подобрена.
- Потребителите вече могат да променят произнасянето на пунктуацията и другите символи, а също така и символното ниво, на което те се изговарят. (#271, #1516)
- В Microsoft Excel, името на активния лист вече се докладва при смяна на листовете с control+pageUp или control+pageDown. (#760)
- Когато се придвижваме в таблица в Microsoft Word с клавиша tab, NVDA вече ще съобщава текущата клетка. (#159)
- Вече можете да контролирате докладването на координатите на клетките в таблиците от диалога за настройка на форматирането на документите. (#719)
- NVDA вече може да засича форматирането и цвета на текст, изобразен на екрана.
- В списъците със съобщенията в Outlook Express/Windows Mail/Windows Live Mail, NVDA вече ще съобщава ако дадено съобщение е непрочетено , а също дали е разтворено или събрано в случаите, когато става въпрос за нижковидни разговори. (#868)
- eSpeak вече има настройка "Умножаване на скоростта", която утроява скоростта на говора.
- Поддръжка за контролите на календара, намиращ се в диалога с информация за датата и часа, до който се стига от часовника в Windows 7. (#1637)
- Добавени са допълнителни клавишни назначения за брайловия дисплей MDV Lilli. (#241)
- Нови езици: български, албански.


== Промени ==
- За да преместите каретката до курсора за преглед, сега натиснете Премести фокуса до навигационния обект (настолна подредба NVDA+shift+numpadMinus, лаптоп подредба NVDA+shift+backspace) два пъти в рамките на кратко време. това освобождава повече клавиши от клавиатурата. (#837)
- За да чуете десетичното и шестнадесетичното представяне на знака под курсора за преглед, вече трябва да натиснете Преглед на текущия знак трикратно вместо двукратно, защото при двукратно натискане сега ще чуете описанието на този знак.
- Синтезаторът eSpeak е обновен до версия 1.45.03. (#1465)
- Таблиците, които са част от дизайна, вече не се докладват в приложения, използващи Mozilla Gecko при преместване на фокуса, когато сте в режим на фокус или извън документа.
- В Internet Explorer и други MSHTML контроли режимът на разглеждане сега работи за документи вътре в зонови приложения. (#1452)
- Обновен е брайловият преводач за liblouis до версия 2.3.0.
- Когато сте в режим на разглеждане  и прескачате по елементите посредством клавишите за бърза навигация или фокуса, описанието на елемента бива съобщавано, ако има такова.
- Лентите на напредъка вече се съобщават и в режим на разглеждане.
- Възли, маркирани със зонов маркер за представяне в Internet Explorer и други MSHTML контроли, вече се филтрират извън простия преглед и родословието на фокуса.
- В потребителския интерфейс и документацията на NVDA изразът виртуални буфери вече е заменен  с режим на разглеждане, тъй като терминът "виртуален буфер" не говори нищо на повечето потребители. (#1509)
- Когато потребителят пожелае да копира своите настройки в системния профил за използване в екрана за вписване в Windows и те съдържат потребителски добавки, вече бива предупреден, че това може да бъде заплаха за сигурността. (#1426)
- Услугата на NVDA вече не стартира и не спира NVDA за работния плот.
- В Windows XP и Windows Vista, NVDA вече не изисква използването на UI Automation, дори ако то е налично посредством системно обновление. Макар използването на UI Automation да може да подобри достъпността  в някои модерни приложения, в XP и Vista има прекалено много замръзвания, сривове и загуба на производителност, докато го използва. (#1437)
- В приложения, използващи Mozilla Gecko 2 и по-нови (например Firefox 4 и по-нови), документът може да бъде прочетен в режим на разглеждане преди да се е заредил напълно.
- NVDA вече съобщава състоянието на контейнер, когато фокусът се придвижи вътре в него (т.е. ако фокусът се придвижи вътре в документ, който все още се зарежда , той ще бъде докладван като зает).
- Потребителският интерфейс и документацията на NVDA  вече не използват термините "първи наследяващ" и "родителски", отнасящи се до обектната навигация, тъй като тези термини са объркващи за много потребители.
- "Разтворен" вече не се докладва за някои елементи на менюта, които имат подменюта.
- Скриптът за докладване на текущото форматиране (NVDA+f) сега докладва форматирането на позицията на курсора за преглед, вместо на позицията на каретката/фокуса. Тъй като курсорът за преглед по подразбиране следва каретката, повечето потребители не би трябвало да забележат промяната. Всъщност сега това дава възможност на потребителя да установи форматирането чрез курсора за преглед, например в режим на равнинен преглед.

 
== Отстранени грешки ==
- Събирането на падащите списъци в документи, в които се използва режим на разглеждане, когато режимът на фокус е бил принудително активиран с NVDA+space, повече не води до автоматично преминаване в режим на разглеждане. (#1386)
- В Gecko (т.е. Firefox) и MSHTML (т.е. Internet Explorer) документи NVDA сега правилно показва определен текст  на един и същи ред, който преди беше погрешно разпределян на отделни редове. (#1378)
- Когато брайлът е обвързан с прегледа и навигационният обект се премести в документ в режим на разглеждане, независимо дали това се прави ръчно или е в резултат на промяна във фокуса, брайлът ще показва правилно разглежданото съдържание. (#1406, #1407)
- Когато изговарянето на пунктуацията е изключено, определени пунктуационни знаци не се изговарят погрешно при използването на някои синтезатори. (#332)
- Вече няма проблеми при възстановяване на настройките за синтезатори, които не поддържат настройка на гласа, като например Audiologic Tts3. (#1347)
- Менюто "Екстри" на Skype вече се чете коректно. (#648)
- Отмятането на полето за отметка за контрол на силата на звука в зависимост от яркостта на екрана в диалога за настройка на мишката не би трябвало вече да води до голямо забавяне на звука при местене на мишката по екрана в Windows Vista/Windows 7 с включено аеро. (#1183)
- Когато NVDA е настроен да използва клавиатурната подредба за лаптопи, NVDA+delete вече работи както е документирано - докладва измеренията на текущия навигационен обект. (#1498)
- NVDA вече не игнорира атрибута aria-selected в документи на Internet Explorer.
- Когато NVDA превключи автоматично в режим на фокус в документи с режим на разглеждане, вече съобщава информация за контекста на фокуса. Например, ако елемент от списък стане на фокус, първо ще бъде съобщен самият списък. (#1491)
- В Internet Explorer и други MSHTML контроли зоновите списъчни кутии вече се третират като списъци, вместо като елементи от списък.
- Когато поле за писане с режим само за четене стане на фокус, NVDA вече съобщава, че то е само за четене. (#1436)
- В режим на разглеждане NVDA сега се държи коректно с текстовите полета само за четене.
- В режим на разглеждане NVDA вече не излиза некоректно от режим на фокус, когато aria-activedescendant е зададен; т.е. когато се появи списък за допълване в някои контроли с възможност за допълване.
- В Adobe Reader имената на контролите вече се докладват, когато местим фокуса или когато използваме бързата навигация в режим на разглеждане.
- В XFA PDF документите в Adobe Reader бутоните, линковете и изображенията вече се позиционират коректно.
- В XFA PDF документите в Adobe Reader всички елементи вече се разпределят на отделни редове. Тази промяна беше направена, защото големи секции (а понякога и целия документ) бяха разпределяни без прекъсвания, заради голямо забавяне в структурата на тези документи.
- Поправени са проблеми при придвижването на фокуса във или извън редактируемите текстови полета в XFA PDF документите в Adobe Reader.
- В XFA PDF документите в Adobe Reader промяната на стойността на падащ списък, който е на фокус, вече ще бъде докладвана.
- Собствено изрисувани падащи списъци, като този за избор на цвят в Outlook Express, вече са достъпни с NVDA. (#1340)
- В езици, използващи интервал за групиране на цифри/разделяне по хиляди , като френски и немски, числа от отделни части от текст вече не се произнасят като едно число. Това беше проблем особено в клетки на таблици, съдържащи числа. (#555)
- Възли със зонова описателна роля в Internet Explorer и други MSHTML контроли вече се класифицират като статичен текст вместо като полета за писане.
- Поправени са различни проблеми при натискане на клавиша tab, когато фокусът е върху документ в режим на разглеждане (т.е. tab неправилно местеше фокуса в адресната лента на Internet Explorer). (#720, #1367)
- Когато е активна английската локализация, при навлизане в списък, докато четем текст, NVDA вече казва, например, "list with 5 items" вместо "listwith 5 items". (#1515)
- В помощен режим на въвеждане жестовете на въвеждане се логват, дори ако техните скриптове заобикалят помощта за въвеждане, като например командите за превъртане на брайловия дисплей.
- В помощен режим на въвеждане, когато е задържан модификаторен клавиш, NVDA вече не съобщава модификатора, ако той модифицира сам себе си; т.е. NVDA+NVDA.
- В Adobe Reader документи натискането на c или shift+c, за да се придвижим до падащ списък, вече работи.
- Състоянието маркиран или немаркиран, за маркируеми редове на таблици, вече се докладва по същия начин, по който се докладва за елементите на обикновените и дървовидните списъци.
- Контролите във Firefox и други Gecko приложения вече може да бъдат активирани, когато сме в режим на разглеждане, дори и ако тяхното съдържание излиза извън екрана. (#801)
- Вече не може да извикате диалога за настройка на NVDA, докато стои незатворен информативен диалог, защото няма да можете да си взаимодействате с диалога за настройка в този случай. (#1451)
- В Microsoft Excel вече няма забавяне при задържане или бързо натискане на клавиши за придвижване или маркиране на клетки.
- Поправени са периодичните сривове в услугата на NVDA , което означава, че NVDA вече няма да спира работа в защитените екрани в Windows.
- Поправени са проблемите, които понякога се появяваха при някои брайлови дисплеи , когато някаква промяна предизвика досега изписания текст да изчезне. (#1377)
- Прозорецът за сваляне в Internet Explorer 9 вече може да бъде обхождан и прочитан с NVDA. (#1280)
- Вече не е възможно инцидентно да стартирате  няколко копия на NVDA по едно и също време. (#507)
- На бавни системи NVDA вече не  показва постоянно  своя главен прозорец, докато се стартира. (#726)
- NVDA вече не забива при стартирането на WPF приложения под Windows XP. (#1437)
- Кажи всичко и Кажи всичко с прегледа вече могат да работят в текстовите контроли на UI automation, които поддържат цялата нужна функционалност. Например, вече може да използвате Кажи всичко с прегледа в документи на XPS Viewer.
- NVDA вече не класифицира неправилно като кутийки някои елементи на списъци в диалога "Приложи сега" за филтрите в Outlook Express / Windows Live Mail. (#576)
- Падащите списъци вече не се докладват сякаш имат подменю.
- NVDA вече може да прочита получателите в полетата To, CC и BCC в Microsoft Outlook. (#421)
- Поправен е проблемът в диалога за настройка на гласа на NVDA, където стойността на плъзгачите понякога не беше докладвана при промяна. (#1411)
- NVDA вече не се проваля при съобщаване на новата клетка при придвижване в електронни таблици на Excel, след като е било извършено изрязване и поставяне. (#1567)
- NVDA вече не влошава отгатването на имената на цветовете с увеличаване броя на съобщаваните цветове.
- В Internet Explorer и други MSHTML контроли е поправена неспособността за четене на части от редки страници които съдържат вътрешни рамки, маркирани със зонов маркер за представяне. (#1569)
- В Internet Explorer и други MSHTML контроли е поправен рядък проблем, при който фокуса се прехвърля непрекъснато между документа и многоредово поле за писане в режим на фокус. (#1566)
- NVDA вече ще прочита автоматично диалозите за потвърждение в Microsoft Word 2010. (#1538)
- В многоредовите полета за писане в Internet Explorer и други MSHTML контроли маркирането на редове след първия вече се докладва правилно. (#1590)
- Подобрено е придвижването по думи в много случаи, включително в режим на въвеждане и в контролите за писане в Windows. (#1580)
- Инсталаторът на  NVDA вече не показва нечетим текст за Хонг конгските версии на Windows Vista и Windows 7. (#1596)
- NVDA вече не се проваля при зареждане на синтезатора Microsoft Speech API version 5 , ако конфигурацията съдържа настройки за този синтезатор, но липсва настройката на гласа. (#1599)
- В полета за писане в Internet Explorer и други MSHTML контроли NVDA вече не се забавя или замръзва, когато брайловият изход е включен.
- В режим на разглеждане във firefox NVDA вече не отказва да добави съдържание, което се намира във фокусируем възел със зоново правило за представяне.
- В Microsoft Word при включен брайл редовете на страниците след първата страница вече се докладват правилно. (#1603)
- В Microsoft Word 2003 редовете с текст, написан отдясно наляво, отново могат да бъдат четени при включен брайл. (#627)
- В Microsoft Word Кажи всичко вече работи правилно , когато документът не завършва със знак за край на изречение.
- Когато отворим съобщение в чист текст в Windows Live Mail 2011, NVDA вече ще се фокусира правилно върху съобщението, което ще позволи неговото прочитане.
- NVDA вече не замръзва временно и не отказва да говори, докато сме в диалозите Move to / Copy to в Windows Live Mail. (#574)
- В Outlook 2010 NVDA вече ще проследява правилно фокуса в списъка със съобщения. (#1285)
- Някои проблеми с връзката чрез USB бяха отстранени за брайловия дисплей MDV Lilli. (#241)
- В режим на разглеждане в Internet explorer и други MSHTML контроли, интервалите вече не биват игнорирани в някои случаи (например, след линк).
- В режим на разглеждане в Internet explorer и други MSHTML контроли бяха елиминирани някои неприсъщи нови редове. По-точно, html елементи с display style, зададен на None, вече не водят до прекъсване на реда. (#1685)
- Ако NVDA не може да се стартира, а просвирването на звука за грешка на Windows се провали, то последното вече не присъства в лога на NVDA.


== Промени за разработчици ==
- Документацията за разработчици вече може да бъде генерирана с използване на SCons. Вижте файла readme.txt в кореновата директория на дистрибуцията на сорса за повече детайли, включително и свързаните с това зависимости.
- Локализациите вече могат да предоставят описания за буквите. Вижте секцията за описанията на буквите в ръководството за разработчици за повече информация. (#55)
- Локализациите вече могат да предоставят информация за произнасянето на определени пунктуационни знаци и други символи. Вижте секцията относно произнасянето на символите от ръководството за разработчици за повече информация. (#332)
- Вече можете да построите NVDAHelper с няколко опции за отстраняване на грешки, като използвате nvdaHelperDebugFlags променливата на SCons. Вижте файла readme.txt в кореновата директория на дистрибуцията на сорса за повече детайли. (#1390)
- Драйверите за синтезаторите  вече предават поредица от текст и речеви команди за говор, вместо просто текст и индекс.
 - Това позволява вградени индекси, промяна на параметрите и т.н.
 - Драйверите трябва да имплементират SynthDriver.speak() вместо SynthDriver.speakText() и SynthDriver.speakCharacter().
 - Старите методи ще бъдат използвани, ако SynthDriver.speak() не е имплементиран, но те са отхвърлени и ще бъдат премахнати в бъдещо издание.
- gui.execute() беше премахнат. wx.CallAfter() трябва да бъде използван вместо него.
- gui.scriptUI беше премахнат.
 - За диалоговите съобщения използвайте wx.CallAfter(gui.messageBox, ...).
 - За всички останали диалози трябва да се използват истински wx диалози.
 - Нова функция  gui.runScriptModalDialog() опростява използването на диалоговите модели от скриптовете.
- Драйвърите на синтезаторите вече може да поддържат булеви настройки. Вижте SynthDriverHandler.BooleanSynthSetting.
- SCons вече приема certTimestampServer променлива, посочваща URL адреса на Timestamp Server, който да бъде използван за клеймо на подпис за автентичност. (#1644)


= 2011.1.1 =
Това издание поправя проблеми, свързани със сигурността  и други важни неизправности, открити във версия  2011.1 на NVDA.

== Отстранени грешки ==
- Елементът "Направи дарение" от менюто на NVDA вече е забранен при работа в екрана за вписване на Windows и другите защитени екрани, тъй като  той е заплаха за сигурността. (#1419)
- Вече е невъзможно да копирате или поставите текст в интерфейса на NVDA, докато се намирате в някой от защитените екрани на Windows (екрана за заключване, UAC екрана и екрана за вписване) защото това е риск за сигурността. (#1421)
- Във Firefox 4 командата за преместване до съдържащия виртуален буфер (NVDA+control+space) сега работи правилно, като излиза от вградените обекти, например Flash приложение. (#1429)
- Когато изговарянето на командните клавиши е включено, натискането на букви при задържан клавиш Shift вече не се интерпретира погрешно като команден клавиш. (#1422)
- Когато е включено изговарянето на клавишите за управление, натискането на интервал заедно с модификатори, различни от Shift (например control и alt), вече се докладва като команден клавиш. (#1424)
- Логването е вече напълно забранено , когато работим в защитените екрани в Windows, защото това е риск за сигурността. (#1435)
- В помощен режим за въвеждане входящите команди биват логвани, дори и да не са обвързани с конкретен скрипт (в съответствие с ръководството на потребителя). (#1425)


= 2011.1 =
Акцентите на тази версия включват автоматично докладване на новопоявил се текст в програмите mIRC, PuTTY, Tera Term и SecureCRT; Поддръжка на глобални добавки; Докладване на номерирани и неномерирани списъци в Microsoft Word; Допълнителни клавишни назначения за брайловите дисплеи, включително клавиши за придвижване до предишен и следващ ред; Поддръжка за няколко брайлови дисплея на Baum, HumanWare и APH; и докладване на цветовете за някои елементи, включително текстовите контроли в IBM Lotus Symphony.

== Нови възможности ==
- За някои елементи вече могат да бъдат докладвани техните цветове. може да бъде настроено и автоматично докладване в диалога с настройките за форматирането на документите. Те могат също да бъдат докладвани при поискване, като използваме командата за докладване форматирането на текста (NVDA+f).
 - Първоначално това се поддържаше в стандартните IAccessible2 редактируеми текстови полета (например в приложенията на Mozilla), форматируемите текстови полета (например в Wordpad) и текстовите контроли на IBM Lotus Symphony.
- Във виртуалните буфери вече можете да маркирате текста по страници (като използвате shift+pageDown и shift+pageUp) и параграфи (като използвате shift+control+стрелкаНадолу и shift+control+стрелкаНагоре). (#639)
- NVDA вече автоматично докладва новопоявил се текст в програмите mIRC, PuTTY, Tera Term и SecureCRT. (#936)
- Потребителите вече могат да добавят нови клавишни назначения или да променят вече съществуващи такива за всеки скрипт в NVDA с предоставянето на една единствена потребителска карта на жестовете. (#194)
- Поддръжка за глобални добавки. Те могат да добавят нови функции към NVDA, които да работят във всички приложения. (#281)
- Вече се чува слаб звук, когато натискаме букви при задържан клавиш Shift, докато е включен режимът CapsLock. Това може да бъде изключено с отмаркиране на съответната опция в диалога за настройка на клавиатурата. (#663)
- Грубите прекъсвания на страницата вече се докладват, когато се придвижваме по редове в Microsoft Word. (#758)
- Средните точки и номерацията вече се изговарят, когато се придвижваме по редове в Microsoft Word. (#208)  
- Вече е налична клавишна команда за включване на спящ режим за приложението (NVDA+shift+s). Спящият режим (преди известен като режим на самоозвучаване), изключва цялата функционалност за четене от екрана в NVDA за определено приложение. Това е много полезно за приложения, които предоставят собствен речев изход, или при използване на други екранни четци. За да изключите спящия режим, просто натиснете отново тази клавишна команда.
- Добавени бяха някои допълнителни клавишни назначения за брайловите дисплеи. За повече информация вижте секцията, отнасяща се до поддържаните брайлови дисплеи от ръководството на потребителя за NVDA. (#209)
- За удобство на разработчици от трети страни, модулите на приложенията, както и глобалните добавки, вече могат да бъдат презаредени без да се рестартира NVDA. Използвайте Инструментите > Презареди добавките от менюто на  NVDA, или NVDA+control+f3. (#544)
- NVDA вече помни позицията, на която сте били, когато се върнете на предишно посетена страница. Това е валидно, докато браузърът или NVDA не бъдат затворени. (#132)
- Брайловите дисплеи на Handy Tech вече могат да бъдат използвани без нуждата от инсталиране на универсалния драйвер на Handy Tech. (#854)
- Поддръжка за няколко брайлови дисплея на Baum, HumanWare и APH. (#937)
- Лентата на състоянието в Media Player Classic Home Cinema вече се разпознава.
- Брайловият дисплеи на Freedom Scientific Focus 40 Blue вече може да бъде използван при свързване чрез BlueTooth. (#1345)


== Промени ==
- Вече не се докладва позиционна информация по подразбиране в някои случаи, където тя обикновено беше некоректна; т.е. повечето менюта, лентата на задачите, системния жлеб и т.н. Но това може да бъде включено отново чрез предоставената опция в диалога за настройка на представянето на обектите.
- Помощта за клавиатурата беше преименувана на помощ за въвеждане, за да отрази факта, че може да бъдат прихващани и други входни команди, освен тези от клавиатурата.
- Помощта за въвеждане вече не докладва позицията на кода на скрипта посредством реч и брайл, защото тя е загадъчна и без значение за потребителя. Всъщност тя вече се логва за разработчиците и напредналите потребители.
- Когато NVDA засече, че е замръзнал, той продължава да прихваща собствените си модификатори, макар че продължава да препредава всички останали клавиши на системата. Това предпазва потребителя от нежелано превключване на caps lock и т.н., ако той натисне този клавиш без да осъзнава, че NVDA е замръзнал. (#939)
- Ако клавиши са задържани след като е активирана команда за препредаване на следващия клавиш, всички клавиши (включително и повторенията) се препредават, докато и последният клавиш не бъде освободен.
- Ако модификатор на NVDA е натиснат 2 пъти за кратко време, за да бъде изпълнена неговата оригинална функция, и второто натискане е задържане, всички повторения ще бъдат препредадени.
- Клавишите за увеличаване, намаляване и заглушаване на звука вече биват докладвани в помощния режим за въвеждане. Това може да послужи на потребителя, ако не знае за какво са тези клавиши.
- При използване на английския интерфейс на NVDA бързият клавиш за елемента Review Cursor в менюто на NVDA е променен от r на c, за да се премахне конфликтът с елемента Braille Settings.


== Отстранени грешки ==
- При добавяне на нов запис в някой от речниците, заглавието на диалога вече е  "Добавяне на запис в речника" вместо "Редактиране на запис в речника". (#924)
- В диалозите на речниците съдържанието на колоните за регулярен израз и чувствителност на главни и малки букви за записите в речника вече е представено на езика, на който е настроен NVDA, вместо винаги на английски.
- В AIM вече се съобщава позиционна информация за дървовидните списъци.
- При плъзгачите в диалога за настройка на гласа стрелка нагоре/page up/home вече увеличават съответната настройка, а стрелка надолу/page down/end я намаляват. Преди се случваше точно обратното, което не е логично и е в противоречие с пръстена от настройки на синтезатора. (#221)
- Във виртуалните буфери, при изключено екранно подреждане, вече не се появяват някои странични празни редове.
- Ако модификатор на NVDA е натиснат два пъти бързо, но през това време е бил натиснат друг клавиш, модификаторът на NVDA вече не се предава на следващото натискане.
- Клавишите за пунктуацията вече се изговарят в помощния режим за въвеждане, дори и когато пунктуацията е изключена. (#977)
- В диалога за настройка на клавиатурата имената на клавиатурните подредби вече се представят на езика, на който е настроен NVDA, вместо винаги на английски. (#558)
- Поправена е грешка, която води до определянето на някои елементи погрешно като празни в документи на Adobe Reader; например линковете в таблицата на съдържанието в ръководството на потребителя на Apple iPhone IOS 4.1.
- Бутонът "Използвай текущо запазените настройки в екрана за вписване и другите защитени екрани" в диалога с основни настройки на NVDA вече работи, ако NVDA е току-що инсталиран, но преди да се е появил защитен екран. До сега NVDA докладваше, че копирането е било успешно, но всъщност нямаше ефект. (#1194)
- Вече не е възможно да има два диалога с настройки на NVDA, отворени по едно и също време. Това коригира ситуации, в които настройките в единия отворен диалог зависят от настройките в другия отворен диалог; например промяна на синтезатора, докато диалогът за настройка на гласа е отворен. (#603)
- На системи с включен UAC бутонът "Използвай текущо запазените настройки в екрана за вписване и другите защитени екрани" в диалога с основни настройки на NVDA вече не се проваля след потвърждение от UAC, ако името на акаунта на потребителя съдържа интервали. (#918)
- В Internet Explorer и другите MSHTML контроли NVDA вече използва URL адреса като последна инстанция да установи името на даден линк, вместо да представя празни линкове. (#633)
- NVDA вече не игнорира фокуса в менютата на AOL Instant Messenger 7. (#655)
- Правилно съобщаване на етикетите на различните грешки в диалога за проверка на правописа в Microsoft Word (т.е. няма го в речника, граматична грешка, пунктуация). До сега всички те бяха съобщавани като граматични грешки. (#883)
- Набирането на текст в Microsoft Word, когато използваме брайлов дисплей, вече не трябва да предизвиква набиране на четения текст, а понякога дори и замръзване на системата , когато натискаме клавиша за превъртане на брайловия дисплей в документи на Word. (#1212) Въпреки това, има ограничение и арабски текст вече не може да се чете в Word 2003 и по-стари версии, когато се използва брайлов дисплей. (#627)
- Когато натискаме клавиша delete в поле за писане, текстът и курсорът на брайловия дисплей вече би трябвало да се обновяват коректно и да отразяват промените. (#947)
- Промените в динамичните страници в документи на Gecko2 (т.е. Firefox 4), когато са отворени повече страници, вече се отразяват правилно от NVDA. Досега само промените в първата страница бяха отразявани. (Mozilla bug 610985)
- NVDA вече може правилно да съобщава предложенията за граматичните и пунктуационните грешки в диалога за правописна проверка в Microsoft Word. (#704)
- В Internet Explorer и другите MSHTML контроли NVDA вече не представя котвите като празни линкове в собствения си виртуален буфер. Вместо това тези котви са скрити, както би трябвало да бъдат. (#1326)
- Обектната навигация около и в стандартните групови прозорци вече не е счупена и асиметрична.
- Във Firefox и другите базирани на Gecko контроли NVDA вече няма да засяда в подфрейм , ако такъв завърши зареждането си преди външния документ.
- NVDA вече правилно съобщава следващия знак, когато изтриваме знак с numpadDelete. (#286)
- В екрана за вписване в  Windows XP потребителското име се съобщава още веднъж, когато избраният потребител бъде променен.
- Оправени са проблеми при четенето в командния промпт на Windows , когато докладването на номерата на редовете е включено.
- Диалогът със списъка на елементите във виртуалните буфери вече е използваем от зрящи потребители. Всички контроли се виждат на екрана. (#1321)
- Списъкът със записите в диалозите на речниците вече е по-четим от зрящи потребители. Той вече е достатъчно голям, така че да се виждат на екрана всички колони. (#90)
- При брайловите дисплеи ALVA BC640/BC680 NVDA вече не пренебрегва клавишите за четене, които са задържани  още, след като друг клавиш е бил освободен.
- Adobe Reader 10 вече не забива при оставяне на опцията за немаркирани документи преди диалогът за обработка да се е появил. (#1218)
- NVDA вече превключва на съответния драйвер за брайлов дисплей, когато използваме опцията за възстановяване на запазените настройки. (#1346)
- Съветникът за нов проект в Visual Studio 2008 отново бива прочитан правилно. (#974)
- NVDA вече не се срива в приложения, които съдържат не-аски символи в техните изпълними имена. (#1352)
- Когато четем по редове в AkelPad с включено автоматично пренасяне, NVDA вече не прочита първия знак на следващия ред в края на текущия ред.
- В редактора на кодове във Visual Studio 2005/2008 NVDA вече не прочита целия текст след всеки набран символ. (#975)
- Оправена е ситуацията, при която при някои брайлови дисплеи текста не се изчиства, когато NVDA бива затварян или текстът е променен.
- Първоначалният фокус вече не се изговаря два пъти понякога, Когато NVDA се стартира. (#1359)


== Промени за разработчици ==
- Вече се използва SCons за подготовка на сорс кода и създаването на бинарни билдове, портативни архиви, инсталатори и т.н. За повече информация вижте файла readme.txt в кореновата папка на дистрибуцията на кода.
- Имената на ключовете, използвани от NVDA (включително клавишните назначения), бяха направени по-приятелски/по-логични; т.е. стрелкаНагоре вместо РазширенНагоре и numpadPageUp вместо предишен. Вижте модула на vk кодовете, за да получите техния списък.
- Всички въвеждания от потребителя сега се представят от инстанция на  inputCore.InputGesture. (#601)
 - Всички източници на въвеждане се базират на базовия клас на въвеждане.
 - Натисканията на клавишите от клавиатурата са обхванати от keyboardHandler.KeyboardInputGesture class.
 - Натискането на бутони, колела и други контроли на брайловите дисплеи са обхванати от подкласове на класа braille.BrailleDisplayGesture. Тези подкласове са предоставени от всеки драйвер за съответния брайлов дисплей.
- Жестовете на въвеждане са обвързани със скриптове посредством метода ScriptableObject.bindGesture() на инстанция или на __gestures в зависимост от класа, на чиято карта на жестовете отговарят тези имена на скриптове. Вижте baseObject.ScriptableObject за повече информация.
- Модулите на приложението вече нямат собствени файлове с клавишни назначения. Всички назначения трябва да се правят в самия модул.
- Всички скриптове вече получават инстанция на жест на въвеждане вместо натискане на клавиш.
 - Клавиатурните жестове на въвеждане могат да бъдат препратени към операционната система чрез използване на метода Send() на жеста.
- За да препратите произволно натискане на клавиш, вече трябва да създадете жест за въвеждане от клавиатурата чрез KeyboardInputGesture.fromName() и после да използвате неговия метод send().
- Локализациите вече могат да предоставят файл с карта на жестовете, за да добавят нови или да променят съществуващи назначения за скриптове навсякъде в NVDA. (#810)
 - Локалните файлове с карта на жестовете трябва да се поставят в locale\LANG\gestures.ini, където LANG е кодът на езика.
 - Вижте inputCore.GlobalGestureMap за детайли около файловия формат.
- Режимите на работа new LiveText и Terminal на NVDAObject улесняват автоматичното докладване на нов текст. Вижте тези класове в NVDAObjects.behaviors за повече подробности. (#936)
 - Класа  NVDAObjects.window.DisplayModelLiveText може да бъде използван за обекти, които трябва да получат текст, изписан на екрана.
 - Вижте модулите за приложението на mirc и putty като примери за използване.
- Вече няма _default app module. Вместо това модулите на приложенията трябва да наследяват appModuleHandler.AppModule (базовия клас за модули на приложенията).
- Поддръжка за глобални добавки, които да могат глобално да обвързват скриптове, да обработват събития от NVDAObject и да избират класове наNVDAObject. (#281) Вижте globalPluginHandler.GlobalPlugin за детайли около това.
- В обекти на SynthDriver наличните *атрибути за низови настройки (т.е. availableVoices и availableVariants)  са подредени по ID вместо списъчно.
- synthDriverHandler.VoiceInfo вече получава опционален езиков аргумент, който посочва езика на гласа.
- Обектите на SynthDriver вече предоставят езиков атрибут, който определя езика на текущия глас.
 - Базовата имплементация използва езика, указан на обектите VoiceInfo в availableVoices. Това е подходящо за повечето синтезатори, които поддържат по един език на глас.
- Драйверите за брайловите дисплеи бяха подобрени така, че да позволяват бутони, колела и други контроли да бъдат обвързвани със скриптове на NVDA:
 - Драйверите могат да предоставят глобална карта на жестовете, за да добавят назначения към скриптовете навсякъде в NVDA.
 - Може също да предоставят собствени скриптове, за да осъществят специфични функции за дадения дисплеи.
 - Вижте braille.BrailleDisplayDriver за подробности и съществуващите драйвери вместо примери.
- Свойството 'selfVoicing' на класовете на модулите за приложението беше преименувано на 'sleepMode'.
- Събитията на модулите за приложението  event_appLoseFocus и event_appGainFocus бяха преименувани на event_appModule_loseFocus и event_appModule_gainFocus, съответно, за да се отличават от тези на прехващачите на дървета.
- Всички драйвери на брайлови дисплеи вече трябва да използват braille.BrailleDisplayDriver вместо braille.BrailleDisplayDriverWithCursor.
 - Курсорът вече се управлява извън драйвера.
 - Съществуващите драйвери трябва само да променят декларацията на техния клас и да преименуват техния _display метод на display.


= 2010.2 =
Забележимите характеристики на тази версия включват значително опростената обектна навигация; виртуални буфери за съдържанието в Adobe Flash; достъп до много недостъпни преди контроли с извличане на текста, написан на екрана; равнинен преглед на текста на екрана; поддръжка за документи в IBM Lotus Symphony; докладване на заглавията на редовете и колоните в таблиците в Mozilla Firefox; както и значително подобрената потребителска документация.

== Нови възможности ==
- Придвижването между обектите с курсора за преглед беше значително подобрено. Курсорът за преглед сега изключва обекти, които не са полезни за потребителя; т.е. недостъпни обекти и такива, използвани само за екранна подредба.
- В приложения, използващи Java Access Bridge (включително OpenOffice.org), форматирането вече може да бъде докладвано в текстовите контроли. (#358, #463)
- Когато мишката преминава върху клетки от таблица в Microsoft Excel, NVDA ще ги обяви подобаващо.
- В приложения, използващи Java Access Bridge, текстът на диалозите бива докладван, когато такива се появяват. (#554)
- Вече може да бъде използван виртуален буфер за навигация в съдържанието на adobe Flash. Обектната навигация и взаимодействието с контролите директно (с включване на режим на фокус) все още се поддържа. (#453)
- Редактируемите текстови полета в Eclipse IDE, включително редакторът за кодове, вече са достъпни. Трябва да използвате Eclipse 3.6 или по-нова. (#256, #641)
- NVDA вече може да извлече повечето текст, написан на екрана. (#40, #643)
 - Това позволява четенето на контроли , които не излагат информация в по-директни/надеждни начини.
 - Контроли, станали достъпни благодарение на тази функция са: някои елементи на менюта, които изобразяват икони (т.е. менюто "отвори с" в Windows XP) (#151), полета за писане в Windows Live приложенията (#200), списъкът с грешките в Outlook Express (#582), полето за редактиране на текст в TextPad (#605), списъците в Eudora, много контроли в австралийския E-tax и лентата за въвеждане на формули в Microsoft Excel.
- Поддръжка за редактора на кодове в Microsoft Visual Studio 2005 и 2008. Изисква се поне Visual Studio Standard; това не работи в експресните издания. (#457)
- Поддръжка за документи в IBM Lotus Symphony.
- Ранна експериментална поддръжка за Google Chrome. Моля, обърнете внимание, че поддръжката на Chrome за екранни четци е далеч незавършена и допълнителна работа може също да бъде необходима и в NVDA. Ще имате нужда от скорошен експериментален билд на Chrome за да изпробвате това.
- Състоянието на превключваемите клавиши (caps lock, num lock и scroll lock) вече се съобщава и чрез брайл, когато те бъдат натиснати. (#620)
- Помощните балони вече се съобщават и чрез брайл, когато се появят. (#652)
- Добавен е драйвер за брайловия дисплей MDV Lilli. (#241)
- Когато бъде маркиран цял ред или колона в Microsoft Excel с бързите клавиши shift+space и control+space, вече се докладва новата селекция. (#759)
- Заглавията на редовете и колоните в таблица вече могат да бъдат докладвани. Това може да бъде включвано и изключвано от диалога за настройка на форматирането на документите.
 - В момента това се поддържа за документи в приложенията на Mozilla като Firefox (версия 3.6.11 и по-нова) и Thunderbird (версия 3.1.5 и по-нова). (#361)
- Представени са команди за равнинния преглед: (#58)
 - NVDA+numpad7  Превключва на равнинен преглед, позиционирайки курсора за преглед на позицията на текущия обект, и ви позволява да прегледате екрана (или документа, ако се намирате в такъв) с командите за преглед на текст.
 - NVDA+numpad1 Премества курсора за преглед в обекта, представен от текста на позицията на курсора за преглед, позволявайки ви да навигирате по обекти от тази позиция.
- Текущите настройки на NVDA могат да бъдат копирани, за да бъдат използвани в защитените екрани в Windows, например екрана за вписване и екрана за контрол на достъпа, с натискането на бутон в диалога с основни настройки на NVDA. (#730)
- Поддръжка за Mozilla Firefox 4.
- Поддръжка за Microsoft Internet Explorer 9.


== Промени ==
- Командите Кажи всичко по навигационния обект (NVDA+numpadAdd), Следващ навигационен обект в потока (NVDA+shift+numpad6) и Предишен навигационен обект в потока (NVDA+shift+numpad4) бяха премахнати за момента, защото даваха грешни резултати и за да се освободят клавишните комбинации за други възможни функции.
- В диалога за избор на синтезатор в NVDA вече са изброени само имената на синтезаторите. Преди те бяха предшествани от името на драйвера, което е единствено от вътрешно значение.
- Във вградените приложения или виртуалните буфери вътре в други виртуални буфери (т.е. Flash), вече може да натиснете nvda+control+space за да излезете извън вграденото приложение или виртуален буфер до съдържащия документ. Преди за това беше използвана комбинацията nvda+space. Сега nvda+space е за превключване между режимите на разглеждане и на фокус във виртуалните буфери.
- Ако прегледът на речта (който може да бъде включен от меню инструменти) е на фокус (т.е. било е кликнато върху него), няма да се появява нов текст в контролата, докато фокусът не се премести другаде. Това позволява маркиране на текст с по-голяма лекота (например за копиране).
- Разглеждачът на логове и конзолата на Python се разпъват на целия екран, когато бъдат активирани.
- Когато се фокусираме върху лист в Microsoft Excel и има повече от една маркирана клетка, се съобщава целият обхват на селекцията вместо само активната клетка. (#763)
- Запазването на настройките и промяната на определени чувствителни настройки вече е забранено по време на работа в екрана за вписване в Windows и другите защитени екрани.
- Синтезаторът eSpeak е обновен до версия 1.44.03.
- Ако NVDA е вече стартиран, активирането на неговата икона на работния плот (което включва натискането на control+alt+n) ще рестартира NVDA.
- Премахнато е полето за отметка "Докладвай текста под мишката" от диалога за настройка на мишката и е заменено с "Активирай проследяването на мишката", което по-добре отразява съответния скрипт (NVDA+m). 
- Обновена е лаптоп подредбата за клавиатурата, така че да съдържа всички команди, налични в настолната подредба, и да работи правилно на неанглийски клавиатури. (#798, #800)
- Значителни подобрения и обновления на потребителската документация, включително документация за клавиатурните команди за лаптоп подредбата и синхронизация на клавиатурните команди от краткият преглед с ръководството на потребителя. (#455)
- Актуализиран е преводача за брайл на liblouis до версия 2.1.1. Трябва да се отбележи, че това поправя някои проблеми, отнасящи се до китайската брайлова таблица , а също и за знаци, които не са дефинирани в таблицата на превода. (#484, #499)


== Отстранени грешки ==
- В µTorrent елементът, който е на фокус в списъка с торентите, вече не се докладва постоянно и не остава на фокус, когато се отвори меню.
- В µTorrent имената на файловете в списъка със съдържанието на торентите вече биват докладвани.
- В приложенията на Mozilla фокусът вече се засича правилно, когато попадне на празна таблица или дърво.
- В приложенията на  Mozilla "неизбран" вече се докладва правилно за контролите, които могат да бъдат избирани , например избираеми клетки от таблица. (#571)
- В приложенията на Mozilla текстът на правилно изпълнените зонови диалози вече не се игнорира и ще бъде докладван, когато такъв диалог се появи. (#630)
- В Internet Explorer и други MSHTML контроли атрибутът ARIA level вече не се игнорира.
- В Internet Explorer и други MSHTML контроли атрибутът ARIA role вече е избран пред другите видове информация, защото може да даде много по-точна и предвидима информация за съответната зона.
- Спряно е рядкото забиване в Internet Explorer, когато се придвижваме във фреймове и вътрешни рамки.
- В Microsoft Word редовете, написани отдясно наляво (например арабски текст), могат отново да бъдат прочитани. (#627)
- Значително е намалено забавянето, когато големи количества текст се показват в командната конзола на Windows на 64-битови системи. (#622)
- Ако Skype вече е стартиран, когато се стартира NVDA, вече не е необходимо да се рестартира Skype, за да бъде включена достъпността. Това може също да бъде валидно и за други приложения, които проверяват системния флаг за екранни четци.
- В приложенията от Microsoft Office NVDA вече не забива при изговаряне на предния план (NVDA+b), или при придвижване през определени обекти от лентите с инструменти. (#616)
- Поправено е погрешното изговаряне на числа, съдържащи 0 след разделителя; например 1,023. (#593)
- Adobe Acrobat Pro и Reader 9 вече не забиват при затваряне на файл или при извършване на някои други задачи. (#613)
- Маркираният текст вече бива съобщаван, когато се натисне control+a за маркиране на целия текст в някои редактируеми текстови полета, например в Microsoft Word. (#761)
- В контролите на Scintilla (например в Notepad++), текстът вече не се маркира погрешно, когато NVDA мести каретката, например по време на Кажи всичко. (#746)
- Отново е възможно да прегледате съдържанието на клетките в Microsoft Excel с курсора за преглед.
- NVDA отново може да чете по редове в някои проблематични текстови полета в Internet Explorer 8. (#467)
- Windows Live Messenger 2009 вече не се затваря веднага след като е стартиран, докато е стартиран NVDA. (#677)
- В уеб браузърите вече не е необходимо да натискате tab, за да си взаимодействате с вграден обект (например Flash съдържание), след натискане на Enter върху вградения обект, или завръщане от друго приложение. (#775)
- В контролите на Scintilla (например Notepad++), началото на дълги редове вече не е пресечено, когато се движи извън екрана. Тези редове ще бъдат и правилно представени на брайл, когато бъдат маркирани.
- В Loudtalks списъкът с контактите вече може да бъде достигнат.
- URL адресът на документа и "MSAAHTML Registered Handler" вече не са понякога недостоверно докладвани в Internet Explorer и други MSHTML контроли. (#811)
- В дървовидните списъци в Eclipse IDE предишно фокусираният елемент вече не е погрешно съобщаван, когато фокусът се придвижи до нов елемент.
- NVDA вече функционира правилно на системи, където текущата работна директория е била премахната от пътя за търсене на DLL (чрез задаването на регистърния ключ CWDIllegalInDllSearch на 0xFFFFFFFF). Имайте предвид, че това не е от значение за повечето потребители. (#907)
- Когато командите за придвижване в таблици се използват извън таблица в Microsoft Word, вече не се изговаря "край на таблица", след "извън таблица". (#921)
- Когато командите за придвижване в таблици не могат да изпълнят функцията си заради това, че е достигнат края на таблица в Microsoft Word, "край на таблица" вече се изговаря на езика, на който е настроен NVDA, вместо само на английски. (#921)
- В Outlook Express, Windows Mail и Windows Live Mail състоянието на кутийките в списъците с филтри вече бива докладвано. (#576)
- Описанията на филтрите вече могат да бъдат прочетени в Windows Live Mail 2010.


= 2010.1 =
Това издание се фокусира основно върху отстраняване на грешки и подобрения, направени въз основа на опита на потребителите, което включва и някои съществени поправки, отнасящи се до стабилността.

== Нови възможности ==
- NVDA вече не се проваля при стартиране на системи, където няма звукови устройства. Очевидно в този случай ще трябва да се използва брайлов дисплей или пък прегледът на речта. (#425)
- Беше добавено поле за отметка "Докладвай маркерите" в диалога за настройка на форматирането на документите, което ви позволява да определите дали NVDA да съобщава маркерите в уеб документите. За съвместимост с предишни издания тази опция е включена по подразбиране.
- Ако е включено изговарянето на клавишите за управление, NVDA вече ще ви съобщава имената на мултимедийните клавиши (например Възпроизвеждане, Спиране, Начална страница и др.) на много клавиатури, когато се натиснат. (#472)
- NVDA вече съобщава изтритата дума при натискане на control+backspace в контроли, които го поддържат. (#491)
- Стрелките вече могат да бъдат използвани в прозореца на Web formator, за да се придвижвате и да прочитате текста. (#452)
- Списъкът със записите в адресната книга на Microsoft Office Outlook вече се поддържа.
- NVDA поддържа по-добре редактируемите (в процес на разработка) документи в Internet Explorer. (#402)
- Нов скрипт (nvda+shift+numpadMinus) ви позволява да придвижите системния фокус до текущия навигационен обект.
- Нови скриптове за отключване и заключване на левия и десния бутон на мишката. Те могат да ни бъдат полезни при операциите по влачене и пускане. shift+numpadDivide за заключване/отключване на левия, shift+numpadMultiply за заключване/отключване на десния.
- Нови брайлови таблици: Германски 8 точков компютърен брайл, Германски от втори вид, Финландски 8 точков компютърен брайл, Китайски (Хонг Конгски, Кантонски),Китайски (Тайвански, Мандарин). (#344, #369, #415, #450)
- Вече е възможно да забраните създаването на икона на работния плот (а с нея и бързия клавиш) по време на инсталирането на NVDA. (#518)
- NVDA вече може да използва IAccessible2 в 64 битови приложения. (#479)
- Подобрена е поддръжката за живите региони в приложенията на Mozilla. (#246)
- Интерфейсът на контролера на NVDA вече може да позволи на други приложения да контролират NVDA; например да изговори текст, да спре речта, да покаже съобщение на брайл и други.
- Информационните съобщения и съобщенията за грешки вече се прочитат в екрана за вписване в Windows Vista и Windows 7. (#506)
- В Adobe Reader вече се поддържат интерактивните PDF формуляри, разработени с Adobe LiveCycle. (#475)
- В Miranda IM NVDA вече прочита автоматично пристигащите съобщения в чат прозорците, ако е разрешено докладването на динамично променящото се съдържание. Също бяха добавени и команди за докладване на последните 3 съобщения (NVDA+control+цифра). (#546)
- Полетата за писане в Adobe Flash вече се поддържат. (#461)


== Промени ==
- Изключително многословното съобщение за клавиатурна помощ в стартовото меню на Windows 7 вече не се съобщава от NVDA.
- Показването на синтеза вече е заменено с нов преглед на речта. За да го активирате, изберете Преглед на речта от меню Инструменти. Прегледът на речта може да бъде използван независимо какъв синтезатор на реч използвате. (#44)
- Съобщенията на брайловия дисплей ще изчезнат автоматично, ако потребителят натисне клавиш, който води до промяна, например преместване на фокуса. Преди съобщението винаги оставаше за времето, за което е настроено.
- Настройката дали брайлът трябва да е обвързан с фокуса или с прегледа (NVDA+control+t) вече може също да бъде зададена от диалога за настройка на брайла, а и вече винаги ще бъде запазвана в потребителските настройки.
- Синтезаторът eSpeak беше обновен до версия 1.43.
- Брайловият преводач на  liblouis беше обновен до версия 1.8.0.
- Докладването на елементите във виртуалните буфери, когато се придвижваме по дума или знак, беше значително подобрено. Преди беше докладвано голямо количество грешна информация и съобщаваната информация беше много различна от тази, когато се придвижваме по редове. (#490)
- Клавишът Control вече просто спира говора като всеки друг клавиш, вместо да го слага на пауза. За да  го оставите на пауза или да продължите говора, използвайте клавиша Shift.
- Броят на редовете и колоните в таблиците вече не се съобщава, когато се докладват промени във фокуса, защото това съобщаване е многословно и обикновено не е полезно.


== Отстранени грешки ==
- NVDA вече се стартира, дори ако поддръжката на UI Automation изглежда да е достъпна, но отказва да се инициализира по някаква причина. (#483)
- Вече не се докладва цялото съдържание на ред от таблица, когато понякога придвижим фокуса в клетка в приложенията на Mozilla. (#482)
- NVDA вече не се забавя за дълго време, когато разтваряме елементи на дървовидни списъци, които съдържат голям брой поделементи.
- При изброяване на SAPI 5 гласове NVDA вече се опитва да засече проблемните гласове и да гиизключи от диалога за настройка на гласа и пръстена от настройки на синтезатора. Преди, когато имаше дори един проблемен глас, драйверът на NVDA за SAPI 5 можеше понякога да не успее да зареди.
- Виртуалните буфери вече се съобразяват с настройката за докладване на бързите клавиши за обекта, намираща се в диалога за настройка на представянето на обектите. (#486)
- Във виртуалните буфери координатите на редовете и колоните вече не се прочитат погрешно като заглавия на редове и колони, когато докладването на таблиците е изключено.
- Във виртуалните буфери координатите на редовете и колоните вече се прочитат правилно, когато напуснете таблицата и после се върнете в същата клетка на таблицата, без да посещавате друга клетка; Например при натискане на стрелка нагоре и после стрелка на долу, когато сте в първата клетка на таблица. (#378)
- Празните редове в документи на Microsoft Word и полетата за редактиране на HTML на Microsoft вече се показват правилно на брайловите дисплеи. Преди в тези ситуации NVDA показваше на дисплея текущото изречение, а не текущия ред. (#420)
- Много поправки, отнасящи се до сигурността, бяха нанесени при работата на NVDA в екрана за вписване на Windows и другите защитени екрани. (#515)
- Позицията на курсора (каретката) вече се обновява правилно, когато се изпълнява командата Кажи всичко, когато излезе извън долната част на екрана, в стандартните полета за писане в Windows и документите в Microsoft Word. (#418)
- Във виртуалните буфери вече не се добавя неправилно текст за изображения в линкове и такива с възможност за натискане, които са маркирани като неподходящи за екранните четци. (#423)
- Поправки на клавиатурната подредба за лаптопи. (#517)
- Когато брайлът е обвързан с прегледа и се фокусирате върху командната конзола на Windows, курсорът за преглед вече може правилно да се придвижва в текста.
- Когато работите с TeamTalk3 или TeamTalk4 Classic, дъговидната лента на напредъка в главния прозорец вече не се докладва сякаш се обновява. Също така специалните знаци могат да бъдат прочетени правилно в прозорците с пристигащи съобщения.
- Елементите в стартовото меню на Windows 7 вече не се изговарят по два пъти. (#474)
- Активирането на линкове, водещи до друго място в текущата страница, във Firefox 3.6 вече премества фокуса във виртуалния буфер на правилното място в страницата.
- Отстранен е проблемът, при който понякога текстът не се поставя на правилното място в Adobe Reader в определени PDF документи.
- NVDA вече не изговаря грешно определени цифри, разделени с тире; например 500-1000. (#547)
- В Windows XP NVDA вече не причинява замръзване на Internet Explorer, при избиране на кутийки в Windows Update. (#477)
- При използване на вградения синтезатор eSpeak едновременният говор и бибипкане вече не причинява замръзвания на някои системи. Това беше особено осезаемо, например, при копиране на големи количества данни в Windows Explorer.
- NVDA вече не съобщава, че документ във Firefox е станал зает (например заради обновяване), когато този документ е на заден план. Това също водеше до съобщаването на лентата на състоянието на приложението на преден план.
- При смяната на клавиатурната подредба на Windows (с control+shift или alt+shift), цялото име на подредбата бива докладвано както чрез реч, така и чрез брайл. Преди тя беше докладвана само чрез реч и алтернативните имена (например Dvorak) не бяха докладвани изобщо.
- Ако докладването на таблиците е изключено, вече не се съобщава информация за таблицата при промяна във фокуса.
- Някои стандартни контроли от дървовидни списъци в 64 битови приложения (например дървото със съдържанията в Microsoft HTML Help) вече са достъпни. (#473)
- Отстранени са някои проблеми с логването на съобщения, съдържащи не-ASCII знаци. Това би могло да доведе до фълшиви грешки на някои неанглийски системи. (#581)
- Информацията в диалога "За програмата" сега се показва на езика, избран от потребителя, вместо винаги на английски. (#586)
- Вече не се забелязват проблеми при използване на пръстена от настройки на синтезатора, след промяна на гласа на такъв, който съдържа по-малко настройки от предишния.
- В Skype 4.2 имената на контактите в списъка с контакти вече не се изговарят два пъти.
- Отстранени са някои потенциално големи течове на памет в графичния потребителски интерфейс и във виртуалните буфери. (#590, #591)
- Работи се върху един неприятен бъг в някои SAPI 4 синтезатори, които причиняваха чести грешки и забивания в NVDA. (#597)


= 2009.1 =
Основните акценти на тази версия включват поддръжка за 64 битовите версии на Windows; значително подобрена поддръжка за документи на Microsoft Internet Explorer и Adobe Reader; поддръжка за Windows 7; четене на екрана за вписване в Windows, control+alt+delete и User Account Control (UAC) екраните; и възможността за взаимодействие със съдържанието на Adobe Flash и Sun Java в уеб страниците. Има също и няколко значителни подобрения на стабилността и подобрения направени въз основа на опита на потребителите.

== Нови възможности ==
- Официална поддръжка за 64 битовите версии на Windows! (#309)
- Добавен е драйвер за синтезатора Newfon. Имайте предвид, че това изисква специална версия на Newfon. (#206)
- Във виртуалните буфери режимите на фокус и на разглеждане вече могат да бъдат докладвани посредством звуци вместо реч. Това е включено по подразбиране. Може да бъде настройвано от диалога Виртуални буфери. (#244)
- NVDA вече не прекъсва речта, когато се натискат клавишите за контролиране на силата на звука от клавиатурата, за да може потребителят да направи промени и да чуе резултата незабавно. (#287)
- Напълно пренаписана поддръжка за документите в Microsoft Internet Explorer и Adobe Reader. Тази поддръжка беше уеднаквена с тази, която е вградена и се използва за Mozilla Gecko, така че възможности като бързо рендиране на страници, обширна бърза навигация, списък с линковете, маркиране на текст, автоматичен режим на фокус и поддръжка на брайл са вече налични в тези документи.
- Подобрена поддръжка за контролата за избор на дата, намираща се в диалога със свойствата на датата и часа в Windows Vista.
- Подобрена поддръжка за модерното стартово меню в XP/Vista (и по-конкретно менютата "Всички програми" и "Места"). Вече се обявява съответстващото ниво на информация.
- Количеството текст, което се съобщава докато движим мишката, вече може да се настройва от менюто за настройка на мишката. Можем да избираме между параграф, ред, дума или знак.
- Вече се съобщават правописните грешки под курсора в Microsoft Word.
- Поддръжка за проверката на правописа вMicrosoft Word 2007. Частична поддръжка може да има и за по-старите версии.
- Подобрена е поддръжката за Windows Live Mail. Съобщенията в чист текст могат вече да бъдат прочитани, а също така са достъпни и прозорците за съставяне на съобщения както в чист текст, така и в html.
- В Windows Vista, ако потребителят се озове в защитен екран (независимо дали защото се е появил диалогът за контрол на достъпа или защото е натиснато control+alt+delete), NVDA вече ще съобщава този факт.
- NVDA вече може да съобщава текста под курсора на мишката в прозореца на командната конзола на Windows.
- Поддръжка за UI Automation чрез интерфейса на UI Automation клиента в Windows 7, а също така и поправки за подобряване на опита на NVDA в Windows 7.
- NVDA може да бъде настроен да стартира автоматично след като се впишете в Windows. Настройката е в диалога с основните настройки на NVDA.
- NVDA може да прочита защитените екрани в Windows, като екрана за вписване, control+alt+delete и User Account Control (UAC) екраните в Windows XP и по-новите версии. Четенето на екрана за вписване може да бъде настроено от диалога с основните настройки на NVDA. (#97)
- Добавен е драйвер за брайловите дисплеи от серията Optelec ALVA BC6.
- Когато разглеждате уеб документи, вече може да натиснете n и shift+n, за да прескочите последните блокове от линкове съответно напред и назад. 
- Когато разглеждате уеб документи, вече ще ви бъдат докладвани маркерите и ще можете да се придвижвате напред и назад по тях, използвайки съответно d и shift+d. (#192)
- Списъкът с линкове, достъпен докато разглеждаме документи, вече е диалог със списък на елементите, който предоставя списък с линкове, заглавия и маркери. Заглавията и маркерите са представени йерархично. (#363)
- Новият диалог със списъка на елементите съдържа поле "Филтрирай по", което ви позволява да филтрирате списъка, така че да съдържа само онези елементи, които съдържат определен текст. (#173)
- Преносимите версии на NVDA сега проверяват в папката 'userConfig' в папката на NVDA за потребителски настройки. Също като за инсталационната версия, това разделя потребителските настройки от самия NVDA.
- Потребителските модули на приложенията, драйвери за брайлови дисплеи и драйвери за синтезатори вече могат да бъдат съхранявани в папката с потребителските настройки. (#337)
- Виртуалните буфери вече се създават във фонов режим, позволявайки на потребителя да си взаимодейства със системата до някаква степен по време на процеса на предоставяне на съдържанието. Потребителят ще бъде уведомен, че документът се обработва, ако това отнеме повече от секунда.
- Ако NVDA засече, че е забил по някаква причина, автоматично ще препредава всички клавиши на системата, за да може потребителят да има по-голям шанс да я възстанови.
- Поддръжка за влачене и пускане в Mozilla Gecko. (#239)
- Заглавието на документа и текущия ред или маркиран текст вече се изговарят при преместване на фокуса във виртуален буфер. Това прави поведението на NVDA, когато се фокусираме във виртуален буфер, в съответствие с това при обикновените документи. (#210)
- Във виртуалните буфери вече можете да си взаимодействате с вградените обекти (като Adobe Flash и Sun Java съдържание) с натискане на Enter върху обекта. Ако то е достъпно, ще можете да се придвижвате в него с tab , както във всяко друго приложение. За да върнете фокуса в съдържащия документ, натиснете NVDA+space. (#431)
- Във виртуалните буфери o и shift+o преместват курсора съответно до следващия и предишния вграден обект. 
- NVDA вече може напълно да работи с приложения, стартирани като администратор в Windows Vista и по-нови. За тази цел трябва да инсталирате официална версия на NVDA. Това не работи за портативните версии и снапшотите. (#397)


== Промени ==
- NVDA вече не съобщава "NVDA е стартиран", когато се стартира.
- Звуците при стартиране и изход  сега се просвирват използвайки изходното устройство, което NVDA е настроен да използва, вместо подразбиращото се устройство в Windows. (#164)
- Докладването на лентите на напредъка беше подобрено. Най-забележимо е това, че вече може да настройвате NVDA да прави съобщаването както чрез реч, така и чрез бибипкане, по едно и също време.
- Някои основни елементи, като например поле, приложение и рамка, вече не се докладват при фокус, освен ако съответната контрола не е безименна.
- Командата Копирай до курсора за преглед (NVDA+f10) копира текста от маркера за начало до текущата позиция на курсора за преглед включително, вместо да изключва текущата позиция. Това позволява да бъде копиран последният знак от реда, което до сега не беше възможно. (#430)
- Скриптът navigatorObject_where script (ctrl+NVDA+numpad5) беше премахнат. Тази клавишна комбинация не работеше на някои клавиатури, нито пък самият скрипт беше намиран за толкова полезен.
- Скриптът navigatorObject_currentDimentions беше преназначен на NVDA+numpadDelete. Предишната клавишна комбинация не работеше на някои клавиатури. Този скрипт сега също докладва и ширината и височината на обекта, вместо координатите на най-дясната и най-долната точка.
- Подобрена е производителността (особено при нетбуците) когато много бибипкания възникнат за кратко време; например бързо движене на мишката, при включено съобщаване на координатите на курсора на мишката. (#396)
- Звукът за грешка на NVDA вече не се просвирва във финалните и кандидат-финалните версии на  NVDA. Обърнете внимание, че грешките все още се логват.


== Отстранени грешки ==
- Когато NVDA се стартира от 8.3 досовски път, но е инсталиран на отговарящия дълъг път (т.е. progra~1 срещу program files) NVDA ще установи правилно, че е инсталирано копие и ще зареди потребителските настройки правилно.
- Изговарянето на заглавието на текущия прозорец с nvda+t вече работи правилно, когато сме в менюта.
- Брайлът вече не показва безполезна информация в контекста на неговия фокус, например безименни полета.
- Вече не съобщава различна безполезна информация при промяна във фокуса, например коренови полета, наслоени полета и полета за придвижване в Java или Lotus приложения.
- Полето за търсене в Windows Help (CHM) вече е много по-използваемо. Заради грешки в този елемент текущата дума не можеше да бъде прочетена, защото щеше да бъде постоянно променяща се.
- Вече се докладват правилно номерата на страниците в Microsoft Word, ако номерирането на страници е било специално компенсирано в документа.
- Подобрена поддръжка на полетата за писане в диалозите на Microsoft Word (например диалога за избор на шрифт). Вече е възможно да се придвижваме в тези контроли със стрелките.
- Подобрена е поддръжката за командните конзоли. По-специално: NVDA вече може да прочита съдържанието на определени конзоли , които винаги е смятал за празни. Натискането на control+break вече не изключва NVDA.
- В Windows Vista и по-нови инсталаторът на NVDA сега стартира NVDA с нормални потребителски права, когато това е зададено във финалния му екран.
- Backspace вече се прихваща правилно при изговаряне на написаните думи. (#306)
- Вече не се изговаря погрешно "Start menu" за някои контекстни менюта в Windows Explorer/обвивката на Windows. (#257)
- NVDA вече прихваща правилно зоновите етикети в Mozilla Gecko, когато няма друго полезно съдържание. (#156)
- NVDA вече не активира погрешно режима на фокус за полета за писане, които обновяват стойността си при промяна във фокуса; например http://tigerdirect.com/. (#220)
- NVDA вече ще се опита да се възстанови от някои ситуации, които преди предизвикваха пълно забиване. Може да отнеме до 10 секунди за NVDA, за да засече и да се възстанови от такова забиване.
- Когато езикът на NVDA е зададен на"User default, windows",ще се използва настройката за език за показване на Windows вместо локалната настройка на Windows. (#353)
- NVDA вече разпознава съществуването на контроли в AIM 7.
- Командата за препредаване на следващия клавиш вече не засяда, ако някой клавиш бъде задържан. Преди NVDA спираше да приема команди, когато това се появеше и трябваше да бъде рестартиран. (#413)
- Лентата на задачите вече не се игнорира, когато стане на фокус, което често се получаваше, когато излезем от някое приложение. Преди NVDA се държеше сякаш фокусът не се е променил изобщо.
- Когато четем текстови полета, които използват Java Access Bridge (включително OpenOffice.org), NVDA функционира правилно, когато докладването на номерата на редовете е включено.
- Командата Копирай от маркера до курсора за преглед (NVDA+f10) елегантно обработва случая, когато се използва на позиция преди тази на маркера за начало. Преди това можеше да предизвика проблеми, например забиване в Notepad++.
- Конкретен контролен знак (0x1) вече не предизвиква странно поведение в eSpeak (като промени в силата на звука и височината), когато бъде срещнат в текста. (#437)
- Командата Докладвай маркирания текст (NVDA+shift+стрелкаНагоре) вече докладва, ако няма нищо маркирано, в обекти, които не поддържат маркирането на текст.
- Поправен е проблемът, при който натискането на клавиша enter на определени бутони и линкове в Miranda-IM предизвикваше замръзването на NVDA. (#440)
- Текущият ред или маркиран текст вече е правилно спазен при спелуване или копиране на текущия навигационен обект.
- Работи се върху бъг в Windows, който предизвикваше  изговарянето на излишни символи след имената на линковите контроли в диалозите в Windows Explorer и Internet Explorer. (#451)
- Поправен е проблем с командата за съобщаване на датата и часа (NVDA+f12). Преди съобщаването на датата беше прекъсвано на някои системи. (#471)
- Поправен е проблем, при който системният флаг за екранните четци беше понякога неправилно изчистван след взаимодействие със защитените екрани. Това може да предизвика проблеми в приложения, които проверяват за този флаг, включително Skype, Adobe Reader и Jart. (#462)
- В падащите списъци в Internet Explorer 6 активният елемент вече се докладва при промяна. (#342)


= 0.6p3 =

== Нови възможности ==
- Тъй като полето за задаване на формула в Microsoft Excel е недостъпно за NVDA, предоставяме допълнителен диалогов прозорец за редактиране, който се активира с натискане на f2 върху клетка от таблица на Excel.
- Поддръжка за форматиране в IAccessible2 текстовите контроли, включително приложенията на Mozilla.
- Правописните грешки могат да бъдат докладвани, където това е възможно. Това може да бъде настройвано от диалога за настройка на форматирането на документите.
- NVDA може да бъде настроен да издава звук за всички ленти на напредъка, както и само за видимите такива. Алтернативно може да бъде настроен да изговаря стойностите на тези ленти на всеки 10%.
- Линковете вече могат да бъдат разпознати във форматируемите текстови полета.
- Мишката вече може да бъде преместена до знака под курсора за преглед в повечето полета за писане. Преди мишката можеше да бъде преместена само до центъра на контролата.
- Във виртуалните буфери курсорът за преглед сега преглежда текста на буфера вместо само вътрешния текст на навигационния обект (което обикновено не е от полза за потребителя). Това означава, че можете да се придвижвате във виртуалния буфер йерархично, използвайки обектната навигация и курсора за преглед, и курсорът за преглед ще се придвижи до това място в буфера.
- Прихванати са някои допълнителни състояния в Java контролите.
- Ако командата за заглавната лента (NVDA+t) се натисне двукратно, заглавието ще бъде спелувано. При трикратно натискане ще се копира в клипборда.
- Клавиатурната помощ вече прочита имената на модификаторните клавиши, когато са натиснати самостоятелно.
- Имената на клавишите, които се съобщават от клавиатурната помощ, вече могат да бъдат превеждани.
- Добавена е поддръжка за полето с разпознатия текст в SiRecognizer. (#198)
- Поддръжка за брайловите дисплеи!
- Добавена е команда (NVDA+c) за докладване на текста в клипборда. (#193)
- Във виртуалните буфери, ако NVDA премине автоматично в режим на фокус, може да използвате клавиша escape, за да се върнете в режим на разглеждане. NVDA+space все още може да бъде използвана.
- Във виртуалните буфери, при промяна във фокуса или при движение на каретката, NVDA може автоматично да премине в режим на фокус или на разглеждане в зависимост от типа на контролата под каретката. Това може да бъде настроено от диалога Виртуални буфери. (#157)
- Пренаписан е SAPI4 драйверът, който замества sapi4serotek и sapi4activeVoice драйверите и би трябвало да решава проблемите, наблюдавани в тези драйвери.
- NVDA сега включва манифест, което означава, че вече не трябва да се стартира в режим на съвместимост в Windows Vista.
- Файлът с настройките и този с речниците вече биват запазвани в потребителската папка с данни на приложенията, ако NVDA е бил инсталиран посредством инсталатора. Това е необходимо за Windows Vista, а също и позволява много потребители да имат индивидуални настройки на NVDA.
- Добавена е поддръжка за позиционната информация в IAccessible2 контроли.
- Добавена е възможност за копиране на текст в клипборда посредством курсора за преглед. NVDA+f9 задава маркера за начало на текущата позиция на курсора за преглед. NVDA+f10 извлича текста между маркера за начало и текущата позиция на курсора за преглед и го копира в клипборда. (#240)
- Добавена е поддръжка за някои полета за писане в програмата pinacle tv.
- Когато се съобщава маркираният текст и той е512 знака или повече, NVDA вече съобщава броя на маркираните знаци, вместо да изговаря целия маркиран текст. (#249)


== Промени ==
- Ако изходното звуково устройство е зададено да използва устройството по подразбиране в Windows (Microsoft Sound Mapper), NVDA вече ще преминава на новото устройство по подразбиране за eSpeak и звуците, когато то се промени. Например, NVDA ще премине на USB аудио устройство, ако то автоматично стане по подразбиране, след като бъде свързано.
- Подобрена е производителността на eSpeak в някои аудио драйвери за Windows Vista.
- Докладването на линкове, заглавия, таблици, списъци и блокове от текст вече може да бъде настроено от диалога Форматиране на документите. Преди за тези настройки за виртуалните буфери трябваше да се използва диалога виртуални буфери. Сега всички документи споделят тази конфигурация.
- Скоростта вече е избраната настройка по подразбиране в пръстена от настройки на синтезатора.
- Подобрено е зареждането и спирането на модулите на приложенията.
- Командата за докладване на заглавната лента (NVDA+t) вече докладва само заглавието вместо целия обект. Ако обектът на преден план няма име, се използва името на процеса на приложението.
- Вместо пропускане на виртуалния буфер включено и изключено, NVDA вече докладва режим на фокус (пропускане включено) и режим на разглеждане (пропускане изключено).
- Гласовете вече се съхраняват в конфигурационния файл по ID вместо по индекс. Това прави настройката на гласа по-надеждна в различните системи и настройки. Гласовите настройки няма да бъдат запазени в стари конфигурации и грешка може да бъде логната при първо използване на даден синтезатор. (#19)
- Нивото на елементите от дървовидните списъци вече се съобщава първо, ако се е променило от предишно фокусирания елемент - за всички дървовидни списъци. Преди това се случваше само за тези на Windows (SysTreeView32).


== Отстранени грешки ==
- Последното парче от аудиото вече не е отрязано, когато използваме NVDA с eSpeak на работния плот на отдалечен сървър.
- Поправени са проблеми със запазването на речниците за определени гласове.
- Премахнато е забавянето, когато се придвижваме по единици, различни от знак (дума, ред и т.н.) към края на големи документи в чист текст във виртуалните буфери в Mozilla Gecko. (#155)
- Ако изговарянето на написаните думи е включено, вече се съобщава думата, когато се натисне enter.
- Поправени са някои проблеми с кодировките в документи, където има форматиране.
- Разглеждачът на логове на NVDA вече използва форматируемо текстово поле, вместо обикновено текстово поле, за да изобразява лога. Това подобрява четенето по думи с NVDA.
- Поправени са някои проблеми, отнасящи се до вградените обекти във форматируемите текстови полета.
- NVDA вече чете номерата на страниците в Microsoft Word. (#120)
- Поправен е проблема, при който при табване до отметнато поле за отметка във виртуален буфер в Mozilla Gecko и натискане на интервал, не ни бива съобщавано, че полето за отметка е изчистено.
- Правилно докладване на частично избраните кутийки в приложенията на Mozilla.
- Ако маркираният текст се разширява или свива в двете посоки, той вече се прочита като едно цяло, вместо две отделни парчета.
- При четене с мишката текстът в полетата за писане вMozilla Gecko вече би трябвало да бъде прочитан.
- Командата Кажи всичко вече не би трябвало да предизвиква забиване при определени SAPI5 синтезатори.
- Поправен е проблем, който означаваше, че промените на маркирания текст не бяха прочитани в стандартните полета за писане на Windows, преди първата промяна във фокуса след като NVDA бъде стартиран.
- Поправено е следенето на мишката в обекти на Java. (#185)
- NVDA вече не докладва елементите на дървовидните списъци в Java приложенията, които нямат наследяващи обекти, като събрани.
- Вече се съобщава обектът на фокус, когато Java прозорец дойде на преден план. Преди се съобщаваше само обектът, който е най-високо в йерархията.
- Драйверът за синтезатора eSpeak вече не спира напълно говора след единична грешка.
- Поправена е грешката, при която параметрите на гласа (скорост, височина и др.) не бяха запазвани, след като гласът е променен чрез пръстена от настройки на синтезатора.
- Подобрено е изговарянето на набраните символи и думи.
- Известен текст, който преди не беше изговарян в конзолните приложения (като някои текстови приключенски игри), вече се изговаря.
- NVDA вече игнорира промените във фокуса във фоновите прозорци. Преди такава промяна можеше да се третира като истинска промяна във фокуса.
- Подобрено е засичането на фокуса, когато напускаме контекстни менюта. Преди NVDA често не реагираше изобщо при напускане на контекстно меню.
- NVDA сега ни съобщава, когато е активирано контекстно меню в стартовото меню на Windows.
- Класическото стартово меню вече се съобщава като Старт меню вместо като контекстно меню.
- Подобрено е четенето на предупреждения като срещаните в Mozilla Firefox. Текстът вече не би трябвало да се прочита много пъти и друга странична информация вече няма да бъде прочитана. (#248)
- Текстът на полетата за писане, само за четене, върху които можем да се фокусираме, вече няма да бъде включван при извличането на текста на диалоговите прозорци. Това поправя, например, автоматичното прочитане на цялото лицензно споразумение в инсталаторите.
- NVDA вече няма да съобщава отмаркирането на текст при напускане на някои полета за писане (например: адресната лента на Internet Explorer, полетата за e-mail адреси в Thunderbird 3).
- При отваряне на писма в чист текст в Outlook Express и Windows Mail фокусът е правилно поставен в съобщението и то е готово за прочитане. Преди потребителят трябваше да натисне клавиша tab или да кликне върху съобщението, за да може да използва клавишите за четене и да го прочете.
- Отстранени са няколко значителни проблема във функционалността "Изговаряй клавишите за управление".
- NVDA вече може да прочита текстове, по-дълги от 65535 знака в стандартните полета за писане (например големи файлове в Notepad).
- Подобрено е четенето по редове в полетата за писане в MSHTML (редактируемите съобщения в Outlook Express и полетата за въвеждане на текст в Internet Explorer).
- NVDA вече не замръзва напълно, понякога когато редактираме текст в OpenOffice. (#148, #180)


= 0.6p2 =
- Подобрен е гласът на ESpeak, използван по подразбиране в NVDA
- Добавена е клавиатурна подредба за лаптопи. Клавиатурните подредби на NVDA могат да бъдат настройвани от диалога за настройка на клавиатурата на NVDA. (#60)
- Поддръжка за групиране на елементи в SysListView32 контролите, главно използвани в Windows Vista. (#27)
- Докладване състоянието на избраност в дървовидните списъци в SysTreeview32 контролите.
- Добавени са горещи клавиши за много от диалозите за настройка на NVDA.
- Поддръжка за IAccessible2 приложения като Mozilla Firefox, когато използваме NVDA от преносими носители, без нуждата от регистриране на специални Dll файлове
- Поправен е срив в списъка на линковете във виртуалните буфери за Gecko приложенията. (#48)
- NVDA вече не би трябвало да води до забиване на Mozilla Gecko приложенията като Firefox и Thunderbird, ако NVDA е стартиран с по-високи права от Mozilla Gecko приложението. Т.е. NVDA е стартиран с администраторски права.
- Речниците (преди потребителски речници) вече могат да бъдат чувствителни на главни и малки букви, а образците могат да бъдат регулярни изрази. (#39)
- Вече може да бъде настройвано дали NVDA да използва или не екранната подредба за виртуалните буфери, от диалога Виртуални буфери.
- Вече не се докладват таговете за котви, без атрибута href, като линкове в документите на   Gecko. (#47)
- Командата за търсене на NVDA вече помни последното търсене във всички приложения. (#53)
- Поправен е проблемът, при който състоянието на избраност не биваше съобщавано за някои кутийки и радио бутони във виртуалните буфери.
- Прескачането на виртуалните буфери вече е отделно за отделните приложения, вместо глобално за всички документи. (#33)
- Поправен е проблемът с мудността при промяна на фокуса и погрешните прекъсвания на речта, които понякога се появяваха при използване на NVDA на системи, които са били в режим на готовност, или са по-скоро бавни.
- Подобрена е поддръжката за падащите списъци в Mozilla Firefox. По-конкретно, при придвижване около тях, текстът вече не се повтаря, а при излизане от тях родителските елементи не се обявяват ненужно. Също така командите към виртуалния буфер вече работят, когато сте фокусирани върху тях, докато сте във виртуален буфер.
- Подобрена е точността на намиране на лентата на състоянието в много приложения. (#8)
- Добавена е интерактивна конзола на python за NVDA, за да позволи на разработчиците да преглеждат и да манипулират NVDA, докато е стартиран.
- Скриптовете Кажи всичко, докладвай маркираното и Докладвай текущия ред вече работят правилно, когато сме в режим на пропускане на виртуалния буфер. (#52)
- Скриптовете за увеличаване и намаляване на скоростта бяха премахнати. Потребителите вече трябва да използват пръстена от настройки на синтезатора (control+nvda+стрелките), или диалога за настройка на гласа.
- Подобрени са обхвата и мащаба на бибипканията, съобщаващи напредъка на лентите на напредъка.
- Добавени са още бързи клавиши за новите виртуални буфери:  l за списък, i за елемент от списък, e за поле за писане, b за бутон, x за поле за отметка, r за радио бутон, g за изображение, q за блокове от текст, c за падащ списък, 1 до 6 за съответните нива на заглавия, s за разделител, m за фрейм. (#67, #102, #108)
- При спиране на зареждането на нов документ в Mozilla Firefox вече се позволява на потребителя да продължи да използва виртуалния буфер на стария документ, ако старият документ все още не е бил наистина унищожен. (#63)
- Придвижването по думи във виртуалните буфери сега е по-точно, ако думите не съдържат случайно текст от повече от едно поле. (#70)
- Подобрена е точността при проследяването и обновяването на фокуса при навигиране във виртуалните буфери на Mozilla Gecko.
- Добавен е скрипт Търси предишна поява (shift+NVDA+f3) за използване в новите виртуални буфери.
- Подобрена е реакцията в диалозите на Mozilla Gecko (в Firefox и Thunderbird). (#66)
- Добавена е възможността за преглед на текущия лог файл на NVDA. Тя може да бъде открита в менюто на NVDA -> Инструменти.
- Скриптове като този за изговаряне на часа и датата сега взимат текущия език на потребителя; пунктуацията и подреждането на думите вече влияят на езика.
- Падащият списък за езика в менюто с основните настройки наNVDA вече показва пълните имена на езиците - за по-лесна употреба.
- При преглеждане на текста в текущия навигационен обект, текстът е винаги актуален, в случай че се променя динамично. Например преглеждане на текста на елемент от списък в менаджера на задачите. (#15)
- При придвижване с мишката текущият текстов параграф под мишката вече се съобщава, вместо целия текст в определения обект, или просто текущата дума. Аудио координатите и съобщаването на типа на обекта вече са по избор, като са изключени по подразбиране.
- Поддръжка за четене на текст с мишката в Microsoft Word
- Поправен е бъг, при който напускането на лентата с менюта в приложения като Wordpad би предизвикало спиране на съобщаването на маркирания текст.
- Във Winamp името на записа вече не се съобщава отново и отново при смяна на записите или пауза/възобновяване/спиране на възпроизвеждането.
- Във Winamp е добавена възможността за съобщаване на състоянието на shuffle и repeat контролите, когато те биват променяни. Работи в основния прозорец и в списъка със записите.
- Подобрена е възможността за активиране на определени полета във виртуалните буфери в Mozilla Gecko. Това включва изображения с възможност за натискане, линкове, съдържащи параграфи и други нестандартни структури.
- Поправено е първоначалното закъснение при отваряне на диалозите на NVDA на някои системи. (#65)
- Добавена е специфична поддръжка за програмата Total Commander.
- Поправен е бъг в sapi4serotek драйвера, където височината на гласа можеше да бъде заключена на определено ниво, например да остане висока след прочитане на главна буква. (#89)
- Съобщаване на текст или други полета, върху които може да се кликне, във виртуалните буфери в Mozilla Gecko. Например поле което има атрибута onclick в неговия HTML код. (#91)
- Когато се придвижваме във виртуалните буфери в Mozilla Gecko, се скролира и текущото поле в прегледа - полезно за страничните наблюдатели, за да определят докъде е стигнало четенето. (#57)
- Добавена е начална поддръжка за ARIA live region събитията на показване в IAccessible2 приложения. Това е полезно в Chatzilla IRC приложението, където новите съобщения вече ще се прочитат автоматично.
- Някои леки подобрения в използването на ARIA разрешени уеб приложения, например Google Docs.
- Вече не се добавят допълнителни нови редове в текста при копирането му от виртуален буфер.
- Клавишът интервал вече не се използва за активиране на линк в списъка с линкове във виртуалните буфери, за да може да бъде използван във филтъра.
- Скриптът за преместване на мишката до навигационния обект (NVDA+numpadSlash) вече мести мишката до центъра на навигационния обект, вместо до горния ляв край.
- Добавени са скриптове за натискане на левия и десния бутон на мишката ( съответно наклонена черта от цифровата клавиатура и звезда от цифровата клавиатура). 
- Подобрен е достъпът до системния жлеб на Windows. Фокусът вече не би трябвало да се връща отново и отново до един определен елемент. Напомняне: За да се позиционирате в системния жлеб, използвайте Windows командата Windows Клавиш+b. (#10)
- Подобрена е производителността и вече не се съобщава допълнителен текст при задържане на клавиш за управление на курсора в поле за писане, когато той стигне до края.
- Спряна е възможността на NVDA да кара потребителя да чака, докато определени съобщения се изговарят. Това поправя някои забивания и замръзвания с определени речеви синтезатори. (#117)
- Добавена е поддръжка за синтезатора на реч Audiologic Tts3 със сътрудничеството на Gianluca Casalino. (#105)
- Вероятно подобрена производителност, когато се придвижваме в документи на Microsoft Word.
- Подобрена точност при четене текста на предупрежденията в Mozilla Gecko.
- Спрени са възможни забивания при опити за запазване на настройките в неанглийски версии на интерфейса на Windows. (#114)
- Добавен е приветствен диалог в NVDA. Този диалог е създаден, за да предостави съществена информация на новите потребители и позволява клавишът CapsLock да бъде конфигуриран като модификатор на NVDA. Този диалог ще се появява при стартиране на NVDA, докато не бъде указано друго.
- Поправена е началната поддръжка на Adobe Reader, така че е възможно да бъдат четени документи във версии 8 и 9.
- Поправени са някои грешки, които могат да възникнат при задържане на някои клавиши, преди NVDA да бъде инициализиран напълно.
- Ако потребителят е настроил NVDA да запазва настройките при изход, увери се, че конфигурацията е запазена при спиране или отписване от Windows.
- Добавено е звуково лого на NVDA в началото на инсталатора, предоставено от Victer Tsaran.
- NVDA, независимо дали е стартиран от инсталатора или по друг начин, вече би трябвало правилно да изчиства иконата си от системния жлеб при изход.
- Етикетите за стандартните контроли в диалозите на NVDA (например бутоните OK и Cancel) вече трябва да се показват на езика, на който е настроен NVDA, вместо просто да остават на английски.
- Иконата на NVDA вече трябва да бъде използвана за преките пътища на NVDA в стартовото меню и на работния плот, вместо стандартната икона за приложенията.
- Вече се прочита текущата клетка в MS Excel при придвижване с tab и shift+tab. (#146)
- Поправено е двойното прочитане в някои списъци в Skype.
- Подобрено е следенето на каретката в IAccessible2 и Java приложенията; например в Open Office и Lotus Symphony, NVDA правилно изчаква каретката да се премести в документите, вместо инцидентно да прочита грешната дума или ред в края на някои параграфи. (#119)
- Поддръжка за AkelEdit контролите в Akelpad 4.0.
- NVDA вече не се заключва в Lotus Synphony,  когато се придвижва от документа в лентата с менюта.
- NVDA вече не замръзва в Windows XP Add/Remove programs аплета, когато стартираме деинсталатор. (#30)
- NVDA вече не замръзва при отваряне на Spybot Search and Destroy.


= 0.6p1 =

== Достъп до уеб съдържание с новите разработвани виртуални буфери (все още само за Mozilla Gecko приложения, включително Firefox3 и Thunderbird3) ==
- Времето за зареждане беше подобрено почти 30 пъти (вече почти не трябва да чакате повечето уеб страници да се заредят във виртуалния буфер).
- Добавен е списък с линковете (NVDA+f7).
- Подобрен е диалогът за търсене (control+nvda+f), така че той предоставя нечувствително на малки и главни букви търсене, а освен това са поправени и няколко други проблема с този диалог.
- Вече е възможно маркиране и копиране на текст с новите виртуални буфери.
- По подразбиране новите виртуални буфери представят документа в екранната подредба (линковете и контролите не са на отделни редове, освен ако не е така визуално). Може да променяте това обстоятелство с NVDA+v.
- Вече е възможно да се придвижвате по параграфи с control+стрелкаНагоре и control+стрелкаНадолу.
- Подобрена е поддръжката за динамично променящото се съдържание.
- Подобрена е като цяло точността на четене на редове и полета при придвижване със стрелките нагоре и надолу.


== Интернационализация ==
- Вече е възможно набирането на букви с ударение, които разчитат на "мъртъв знак", докато NVDA е стартиран.
- NVDA вече съобщава, когато бъде променена клавиатурната подредба (при натискане на alt+shift).
- Функцията за съобщаване на часа и датата вече  взема предвид регионалните и езикови настройки на Windows.
- Добавен е чешки превод (от Tomas Valusek с помощта на Jaromir Vit).
- Добавен е виетнамски превод от Dang Hoai Phuc.
- Добавен е африкански (af_ZA) превод, от Willem van der Walt.
- Добавен е руски превод от Dmitry Kaslin .
- Добавен е полски превод от DOROTA CZAJKA и приятели.
- Добавен е японски превод от Katsutoshi Tsuji.
- Добавен е тайвански превод от Amorn Kiattikhunrat.
- Добавен е хърватски превод от Mario Percinic и Hrvoje Katic  .
- Добавен е галски превод от Juan C. buno .
- Добавен е украински превод от Aleksey Sadovoy.


== Реч ==
- NVDA вече идва пакетиран с eSpeak 1.33, който съдържа много подобрения, сред които са подобрени езици, именувани варианти, способност да говори по-бързо.
- Диалогът за настройка на гласа вече ви позволява да променяте варианта на синтезатора, ако той поддържа това. Вариантът обикновено е лека вариация на текущия глас. (eSpeak поддържа варианти).
- Добавена е възможността за промяна на модулацията на гласа от диалога за настройка на гласа, ако текущият синтезатор поддържа това. (eSpeak поддържа модулация).
- Добавена е възможност за изключване на съобщаването на позиционна информация за обектите(т.е. 1 от 4). Тази настройка може да бъде намерена в диалога за настройка на представянето на обектите.
- NVDA вече може да издава звук при изговарянето на главни букви. Това може да бъде включвано и изключвано с помощта на поле за отметка в диалога за настройка на гласа. Добавено е също и поле за отметка за настройка на повишаването на височината за главни букви. Така че вече може да имате както повишаване на височината, произнасяне на cap, така и бибипкане, за индикиране на главни букви.
- Добавена е възможността за пауза на речта в NVDA (подобно на тази в Voice Over за Mac). Когато NVDA изговаря нещо, може да натиснете control или shift клавишите за да спрете речта както нормално, но ако след това натиснете отново клавиша Shift (в случай, че не сте натискали други клавиши преди това), речта ще продължи точно оттам, докъдето е стигнала.
- Добавен е виртуален синтезатор, който извежда текста в прозорец, вместо да го изговаря посредством речев синтезатор. Това би било по-добрия вариант за зрящи разработчици, които не се нуждаят от синтез на реч, но искат да знаят какво се изговаря от NVDA. Вероятно все още има някои бъгове, така че обратната връзка е повече от добре дошла.
- По подразбиране NVDA вече не изговаря пунктуацията, но вие може да промените това с натискането на NVDA+p.
- По подразбиране eSpeak вече говори малко по-бавно, което трябва да улесни хора, които използват eSpeak за първи път, при инсталиране или започване на работа с NVDA.
- Добавени са потребителски речници. Това ви позволява да накарате NVDA да изговаря определен текст различно. Има 3 речника: по подразбиране, гласов и временен. Записите, които добавите в речника по подразбиране, ще бъдат валидни през цялото време в NVDA. Гласовите речници са специфични за текущия синтезатор и глас, използвани в момента. А временният речник е за тези случаи, когато бързо искате да зададете правило, докато извършвате определено действие, но не искате да бъде за постоянно (то ще изчезне, ако затворите NVDA). За сега правилата са регулярни изрази, а не просто текст.
- Синтезаторите вече могат да използват всяко изходно аудио устройство на вашата система, след като зададете това в падащия списък в диалога за избор на синтезатор, преди да изберете самия синтезатор.


== Производителност ==
- NVDA вече не заема голямо количество системна памет при редактиране на съобщения в полетата за писане в mshtml.
- Подобрена е производителността при преглед на текст в много контроли, които нямат истински курсор. Например прозорецът с хронологията в MSN Messenger, елементите на дървовидни списъци, елементите на списъци и др.
- Подобрена е производителността във форматируемите документи.
- NVDA вече не трябва да нараства бавно откъм размери на заеманата оперативна памет без причина.
- Поправен е бъг, при който NVDA се опитваше да се фокусира върху конзолен прозорец многократно. Това често водеше до пълно забиване на NVDA.


== Клавиатурни команди ==
- NVDA+shift+numpad6 и NVDA+shift+numpad4 ви позволяват да се придвижвате съответно до следващия или предишния обект в потока. Това означава, че може да се придвижвате в приложенията като използвате само тези 2 клавишни комбинации, без да трябва да мислите за придвижване до родителския елемент или до първия наследяващ обект при движение по йерархията на обектите. Така например в уеб браузър като firefox може да се разхождате из документа по обекти, като просто използвате тези 2 клавишни комбинации. Ако предишният или следващият обект в потока ви отведе до обект от различно ниво, NVDA ще ви съобщи посоката с кратки звуци.
- Вече може да променяте параметрите на гласа без да отваряте диалога за настройка на гласа, с използване на пръстена от настройки на синтезатора. Пръстенът от настройки на синтезатора е група от гласови настройки, които може да сменяте с натискането на control+NVDA+стрелкаНадясно и control+NVDA+стрелкаНаляво. За да промените настройка, използвайте control+NVDA+стрелкаНагоре и control+NVDA+стрелкаНадолу.
- Добавена е команда за докладване на текущо маркирания текст в полетата за писане (NVDA+shift+стрелкаНагоре).
- Няколкото команди, които изговарят текст (като "Докладвай текущия ред" и др.), вече могат да спелуват текста, ако се натиснат два пъти последователно.
- Клавишите capslock, numpad insert и разширеният insert вече заедно могат да бъдат използвани като модификатори на NVDA. Ако някой от тези клавиши се използва, двукратното му натискане, без да се натискат други клавиши, ще предаде клавиша на операционната система, все едно NVDA не е стартиран. За да направите някой от тези клавиши модификатор на NVDA, изберете неговото поле за отметка в диалога за настройка на клавиатурата.


== Поддържани приложения ==
- Подобрена е поддръжката за документите във Firefox3 и Thunderbird3. Времето за зареждане е подобрено почти 30 пъти, екранната подредба се използва по подразбиране (натиснете nvda+v за да превключите между това и "без екранна подредба"), беше добавен списък с линковете (nvda+f7), диалогът за търсене (control+nvda+f) вече не е чувствителен на главни букви, много по-добра поддръжка за динамично променящото се съдържание, вече е възможно маркирането и копирането на текст.
- Вече е възможно маркирането и копирането на текст в хронологията на MSN Messenger и Windows Live Messenger.
- Подобрена е поддръжката за програмата Audacity.
- Добавена е поддръжка за няколко текстови полета в Skype
- Подобрена е поддръжката за програмата Miranda instant messenger.
- Оправени са някои проблеми с фокуса при отварянето на съобщения в html и чист текст в Outlook Express. 
- Полетата със съобщения от новинарските групи вOutlook express вече са етикетирани правилно.
- NVDA вече може да прочита адресите в Outlook Express (До/От/Копие До и т.н.).
- NVDA вече трябва да е по-точен в съобщаването на следващото съобщение в Outlook Express при изтриване на съобщение от списъка със съобщения.


== Интерфейси и инструменти ==
- Подобрена е обектната навигация за обекти на MSAA. Ако прозорецът има системно меню, заглавна лента или плъзгачи за позициониране, вече можете да се придвижите до тях.
- Добавена е поддръжка за интерфейса за достъпност IAccessible2. Отделно от способността за съобщаване на повече типове контроли, това позволява на NVDA достъп до курсора в приложения като Firefox 3 и Thunderbird 3, позволявайки ви да се придвижвате, да маркирате или редактирате текст.
- Добавена е поддръжка за полетата за писане на Scintilla (тези контроли могат да бъдат намерени в Notepad++ или Tortoise SVN).
- Добавена е поддръжка за Java приложения (посредством Java Access Bridge). Това предоставя начална поддръжка за Open Office (ако Java е разрешен), и всички други самостоятелни Java приложения. Обърнете внимание, че java аплетите в уеб браузърите може все още да не работят.


== Мишката ==
- Подобрено е четенето на текста под курсора на мишката, докато той се движи. Вече е много по-бързо, а също има и способността в някои контроли, като например стандартните полета за писане, Java и IAccessible2 контролите, да прочита текущата дума, не просто текущия обект. Това може да е от полза за зрително затруднени хора, които просто искат да прочетат специфично парче текст с мишката.
- Добавена е нова опция, намираща се в диалога за настройка на мишката. Просвирвай звуково координатите на мишката, когато е избрано, просвирва 40 милисекунден звук всеки път когато мишката се премести, с височина между 220 и 1760 hz, представящ вертикалата и ляво/дясно ориентиран звук, представящ хоризонталата. Това предоставя на незрящ човек възможността да има представа за позицията на курсора на мишката на екрана, когато тя се движи. За да работи тази функция, трябва да е включено и докладването на обектите под курсора на мишката. Това означава, че ако искате бързо да изключите бибипканията и съобщаването на обектите под курсора на мишката, трябва просто да натиснете NVDA+m. Бибипканията са също по-силни или по-слаби в зависимост от това колко светъл е екранът в тази точка.


== Представяне и взаимодействие с обектите ==
- Подобрена е поддръжката за най-разпространените дървовидни списъци. NVDA сега ви казва колко елемента има в клона, когато го разтворите. Съобщава се също и нивото, когато се придвижваме във и извън клонове. Съобщават се и номерът на текущия елемент, както и броят на всички елементи в зависимост от текущия клон, а не целият дървовиден списък.
- Подобрена е съобщаваната информация при промяна във фокуса, докато се придвижвате в приложенията или операционната система. Сега вместо просто да чувате информация за контролата, върху която сте стъпили, вие ще чувате информация за всички контроли, в които тя е позиционирана. Например, ако табнете и се позиционирате върху бутон, намиращ се в групова кутия, тя също ще бъде съобщена.
- NVDA сега се опитва да изговори съобщенията в много диалогови прозорци, когато те се появят. Това е точно през повечето време, но все още има много диалози, които не са толкова добри, колкото можеха да бъдат.
- Добавено е поле за отметка "Докладвай описанието на обектите" в диалога за настройка на представянето на обектите. Напредналите потребители може понякога да поискат да изключат това, за да спрат съобщаването на много описания в определени контроли, например в Java приложенията.
- NVDA автоматично съобщава маркирания текст в полетата за писане, когато фокусът се придвижи в тях. Ако няма маркиран текст, тогава просто съобщава текущия ред, както обикновено.
- NVDA вече е много по-внимателен, когато просвирва звуци за индикиране на напредъка в лентите на напредъка в приложенията. Вече не откача в приложенията на Eclipse , например Lotus Notes/Symphony и Accessibility Probe.


== Потребителски интерфейс ==
- Премахнат е прозорецът на NVDA и е заменен с просто изскачащо меню.
- Диалогът с настройки за потребителския интерфейс на NVDA вече се нарича Основни настройки. Той също съдържа допълнителна настройка: падащ списък за задаване на нивото на логване, за това какви съобщения трябва да отидат в лога на NVDA. Обърнете внимание, че логът на NVDA вече се нарича nvda.log, а не debug.log.
- Премахнато е полето за отметка "Докладвай груповите имена на обекта" от диалога за настройка на представянето на обектите, защото това сега се прихваща различно.


= 0.5 =
- NVDA вече има вграден синтезатор, наречен eSpeak, разработен от Jonathan Duddington. Той е много отзивчив и малък по размер, а също така поддържа много езици. Sapi синтезаторите също могат да бъдат използвани, но eSpeak ще се използва по подразбиране.
 - eSpeak не зависи от никакъв специален софтуер, който да бъде инсталиран, така че може да бъде използван с NVDA на всеки компютър, на USB , или навсякъде. 
 - За повече информация относно eSpeak или за да намерите други версии, отидете на http://espeak.sourceforge.net/.
- Поправен е бъг, където беше съобщаван грешен знак при натискане на delete в полетата за писане в Internet Explorer / Outlook Express.
- Добавена е поддръжка за повече полета за писане в Skype.
- Виртуалните буфери се зареждат само когато фокусът е на прозорец, който трябва да бъде зареден. Това поправя някои проблеми, когато полето за предварителен преглед в Outlook Express е включено.
- Добавени са командни параметри към изпълнимия файл на NVDA:
 - -m, --minimal: не възпроизвеждай стартови/изходни звуци и не показвай прозореца на интерфейса при стартиране, в случай че това е зададено.
 - -q, --quit: затвори всички стартирани в момента копия на NVDA и после излез.
 - -s, --stderr-file fileName: посочва име на файл, където NVDA да съхранява информация за неприхванатите грешки и изключения.
 - -d, --debug-file fileName: Посочва име на файл, където NVDA да съхранява информацията за отстраняване на грешки.
 - -c, --config-file: Посочва алтернативен конфигурационен файл.
 - -h, -help: Показва помощно съобщение, предоставящо списък с параметрите за командния ред.
- Поправен е бъг, където пунктуационните знаци не бяха преведени на съответния език при използване на език, различен от английски, и когато е включено изговарянето на натиснатите клавиши.
- Добавени са словашки езикови файлове благодарение на Peter Vagner.
- Добавен е диалог за настройка на виртуалните буфери и диалог за настройка на форматирането на документите от Peter Vagner.
- Добавен е превод на френски благодарение на Michel Such.
- Добавен е скрипт за включване и изключване на издаването на звук за отчитане на напредъка на лентите на напредъка (insert+u) със съдействието на Peter Vagner.
- Повече съобщения в NVDA вече могат да бъдат превеждани на други езици. Това включва описанията на скриптовете, докато сме в помощен режим на въвеждане.
- Добавен е диалог за търсене към виртуалните буфери (internet Explorer и Firefox). Натискането на control+f, когато сме в уеб страница, извиква диалог, в който може да напишете някакъв текст за търсене. Натискането на Enter тогава ще стартира търсене на този текст и ще постави виртуалния курсор на този ред. Натискането на F3 ще потърси за следваща поява на търсения текст.
- Когато е включено произнасянето на натиснатите знаци, вече би трябвало да се изговарят повече знаци. Технически сега АСКИ знаците от 32 до 255 вече могат да бъдат изговаряни.
- Преименувани са някои типове контроли за по-добро звучене. Редактируем текст е вече поле за писане, очертанията сега са дървовидни списъци и бутон за натискане сега е просто бутон.
- При придвижване по елементите на обикновени или дървовидни списъци вече не се съобщава типът на контролата (елемент от списък, елемент от дървовиден списък), за да се ускори навигацията.
- "Има попъп" (за да съобщи, че даденото меню има подменю) вече се изговаря като "подменю".
- Тъй като някои езици използват control и alt (или altGR), за да въведат специален знак, NVDA вече ще изговаря тези знаци, когато изговарянето на натиснатите знаци е включено.
- Поправени са някои проблеми с преглеждането на статичните текстови контроли.
- Добавен е превод за традиционен китайски благодарение на Coscell Kao.
- Преструктурирана е важна част от кода на NVDA, което трябва да реши много проблеми с потребителския интерфейс на NVDA (включително диалозите с настройки).
- Добавена е поддръжка за Sapi4 в NVDA. В момента има два драйвера за sapi4, единият е базиран на код, предоставен от Serotek Corporation, а другият използва ActiveVoice.ActiveVoice com интерфейса. Има проблеми и в двата драйвера, така че вижте кой от тях работи най-добре за вас.
- При опит за стартиране на ново копие на NVDA, докато старо копие все още работи, ще предизвика затваряне на новото копие. Това решава основен проблем, където стартиране на много копия на NVDA правеше системата неизползваема.
- Преименувано е заглавието на потребителския интерфейс на NVDA от NVDA Interface на NVDA. 
- Отстранена е грешка в Outlook Express, където натискането на backspace в началото на редактируемо съобщение предизвикваше грешка.
- Добавена е кръпка от Rui Batista, която добавя скрипт за докладване на текущия статус на батерията на лаптопите (insert+shift+b).
- Добавен е синтезаторен драйвер наречен Silence. Това е драйвер, който не говори нищо, позволявайки на NVDA да запази пълно мълчание през цялото време. Това може евентуално да бъде използвано заедно с поддръжката на брайл, когато я получим.
- Добавена е настройка за промяна на височината на главни букви за синтезаторите благодарение на J.J. Meddaugh.
- Добавена е кръпка от J.J. Meddaugh, която прави скрипта за докладване на обекта под курсора на мишката да изглежда повече като другите скриптове (да казва изключен/включен, вместо да променя цялото състояние).
- Добавен е испански превод (es) със съдействието на Juan C. buo.
- Добавен е унгарски езиков файл от Tamas Gczy.
- Добавен е португалски езиков файл от Rui Batista.
- Промяната на гласа от диалога за настройка на гласа вече задава  нови стойности на скоростта, височината и силата на звука в зависимост от синтезатора, вместо да го принуждава да използва старите стойности. Това решава ситуациите, в които синтезатори като eloquence или viavoice говорят с много по-голяма скорост от всички други синтезатори.
- Отстранена е грешка, при която или речта щеше да спре, или NVDA щеше напълно да забие, когато сме в командната конзола на Windows.
- Ако съществува поддръжка за определен език, NVDA вече може автоматично да покаже своя интерфейс и да изговаря своите съобщения на езика, на който е настроен Windows. Също така все още може ръчно да бъде избран определен език от диалога за настройка на потребителския интерфейс.
- Добавен е скрипт 'Докладвай динамично променящото се съдържание' (insert+5). Това определя дали новият текст или други динамични промени трябва да бъдат автоматично съобщавани. За сега това работи само в конзолата на Windows.
- Добавен е скрипт 'Следвай каретката' (insert+6). Това определя дали курсорът за преглед трябва да бъде автоматично репозициониран при движение на каретката. Това е полезно в командната конзола, когато се опитваме да прочетем някаква информация по време на обновяване на екрана.
- Добавен е скрипт 'Следвай фокуса' (insert+7). Това определя дали навигационният обект да бъде репозициониран върху обекта на фокус, когато той се промени.
- Добавена е малко документация, преведена на различни езици. За сега я има на френски, испански и финландски.
- Премахната е документацията за разработчици от бинарните дистрибуции на NVDA, като сега я има само в дистрибуцията на сорс кода.
- Поправен е евентуален бъг в Windows Live Messenger и MSN Messenger, където придвижването със стрелките в списъка с контактите би довело до грешки.
- Новите съобщения вече се изговарят автоматично, когато сме в разговор с Windows Live Messenger. (Все още работи само за английските версии.)
- Хронологията в разговорите в Windows Live Messenger вече може да бъде прочетена с използването на стрелките. (Все още работи само за английските версии.) 
- Добавен е скрипт 'Препредай следващия клавиш' (insert+f2). Натиснете тези клавиши и след това следващото натискане на клавиш или клавиши ще бъде предадено директно на Windows. Това е полезно, ако трябва да натиснете определен клавиш в приложение, но NVDA използва този клавиш за нещо друго.
- NVDA вече не замръзва за повече от минута при отваряне на много големи документи в MS Word.
- Поправен е бъг, при който когато излезем от таблица в MS Word и после се върнем пак в нея, предизвиква неизговарянето на номерата на реда и колоната, ако се връщаме в точно същата клетка.
- Когато стартираме NVDA със синтезатор, който не съществува или не работи, вместо него ще бъде изпробван и зареден sapi5 синтезаторът, или ако sapi5 не работи, тогава речта ще бъде зададена на silence.
- Скриптовете за увеличаване и намаляване на скоростта вече не могат да зададат скорост над 100 или под 0.
- Ако има проблем с език при избирането му от диалога за настройка на потребителския интерфейс, потребителят ще бъде уведомен за този факт с диалогов прозорец.
- NVDA вече пита дали трябва да запази настройките и да се рестартира, ако потребителят току-що е променил езика в диалога за настройка на потребителския интерфейс. NVDA трябва да бъде рестартиран, за да може езиковата промяна да влезе в сила напълно.
- Ако даден синтезатор не може да бъде зареден, когато го избираме от диалога за избор на синтезатор, потребителят ще бъде уведомен за този факт с диалогов прозорец.
- Когато зареждаме синтезатор за първи път, NVDA ще му позволи да избере най-подходящите настройки, вместо да го принуждава да използва тези по подразбиране, смятайки ги за подходящи. Това решава проблема с Eloquence и Viavoice sapi4 синтезаторите, които започват да говорят прекалено бързо, когато са стартирани за първи път.

